#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 834
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 111
#define ALIAS_COUNT 1
#define TOKEN_COUNT 70
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 16
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 44

enum ts_symbol_identifiers {
  sym_symbol = 1,
  anon_sym_ENTRY = 2,
  anon_sym_LPAREN = 3,
  anon_sym_RPAREN = 4,
  anon_sym_SECTIONS = 5,
  anon_sym_LBRACE = 6,
  anon_sym_RBRACE = 7,
  anon_sym_SLASHDISCARD_SLASH = 8,
  anon_sym_COLON = 9,
  anon_sym_SEMI = 10,
  anon_sym_AT = 11,
  anon_sym_GT = 12,
  anon_sym_EQ = 13,
  anon_sym_NOLOAD = 14,
  anon_sym_DSECT = 15,
  anon_sym_COPY = 16,
  anon_sym_INFO = 17,
  anon_sym_OVERLAY = 18,
  anon_sym_LBRACK = 19,
  anon_sym_RBRACK = 20,
  anon_sym_STAR = 21,
  anon_sym_NOCROSSREFS = 22,
  anon_sym_DOT = 23,
  anon_sym_PLUS_EQ = 24,
  anon_sym_DASH_EQ = 25,
  anon_sym_STAR_EQ = 26,
  anon_sym_SLASH_EQ = 27,
  anon_sym_LT_LT_EQ = 28,
  anon_sym_GT_GT_EQ = 29,
  anon_sym_AMP_EQ = 30,
  anon_sym_PIPE_EQ = 31,
  anon_sym_ASSERT = 32,
  anon_sym_COMMA = 33,
  anon_sym_KEEP = 34,
  anon_sym_PROVIDE = 35,
  anon_sym_PROVIDE_HIDDEN = 36,
  anon_sym_MEMORY = 37,
  anon_sym_ORIGIN = 38,
  anon_sym_org = 39,
  anon_sym_o = 40,
  anon_sym_LENGTH = 41,
  anon_sym_len = 42,
  anon_sym_l = 43,
  aux_sym_attributes_token1 = 44,
  anon_sym_PHDRS = 45,
  anon_sym_FILEHDR = 46,
  anon_sym_QMARK = 47,
  anon_sym_BANG = 48,
  anon_sym_TILDE = 49,
  anon_sym_DASH = 50,
  anon_sym_PLUS = 51,
  anon_sym_SLASH = 52,
  anon_sym_PERCENT = 53,
  anon_sym_PIPE_PIPE = 54,
  anon_sym_AMP_AMP = 55,
  anon_sym_PIPE = 56,
  anon_sym_AMP = 57,
  anon_sym_EQ_EQ = 58,
  anon_sym_BANG_EQ = 59,
  anon_sym_GT_EQ = 60,
  anon_sym_LT_EQ = 61,
  anon_sym_LT = 62,
  anon_sym_LT_LT = 63,
  anon_sym_GT_GT = 64,
  sym_number = 65,
  anon_sym_DQUOTE = 66,
  aux_sym_quoted_symbol_token1 = 67,
  sym_filename = 68,
  sym_comment = 69,
  sym_linkerscript = 70,
  sym_entry_command = 71,
  sym__command = 72,
  sym_sections_command = 73,
  sym__output_section_command = 74,
  sym_output_section = 75,
  sym__at = 76,
  sym_region = 77,
  sym_lma_region = 78,
  sym_phdr = 79,
  sym_fillexp = 80,
  sym_section_type = 81,
  sym_input_section = 82,
  sym_wildcard_pattern = 83,
  sym_overlay_command = 84,
  sym_assignment = 85,
  sym_assert_command = 86,
  sym_keep_command = 87,
  sym_provide_command = 88,
  sym_memory_command = 89,
  sym__memory = 90,
  sym_attributes = 91,
  sym_phdrs_command = 92,
  sym__phdr = 93,
  sym_expression = 94,
  sym_conditional_expression = 95,
  sym_unary_expression = 96,
  sym_binary_expression = 97,
  sym_parenthesized_expression = 98,
  sym_call_expression = 99,
  sym_argument_list = 100,
  sym_quoted_symbol = 101,
  aux_sym_linkerscript_repeat1 = 102,
  aux_sym_sections_command_repeat1 = 103,
  aux_sym_output_section_repeat1 = 104,
  aux_sym_input_section_repeat1 = 105,
  aux_sym_assert_command_repeat1 = 106,
  aux_sym_memory_command_repeat1 = 107,
  aux_sym_attributes_repeat1 = 108,
  aux_sym_phdrs_command_repeat1 = 109,
  aux_sym_argument_list_repeat1 = 110,
  alias_sym_load_memory_address = 111,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_symbol] = "symbol",
  [anon_sym_ENTRY] = "ENTRY",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SECTIONS] = "SECTIONS",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_SLASHDISCARD_SLASH] = "/DISCARD/",
  [anon_sym_COLON] = ":",
  [anon_sym_SEMI] = ";",
  [anon_sym_AT] = "AT",
  [anon_sym_GT] = ">",
  [anon_sym_EQ] = "=",
  [anon_sym_NOLOAD] = "NOLOAD",
  [anon_sym_DSECT] = "DSECT",
  [anon_sym_COPY] = "COPY",
  [anon_sym_INFO] = "INFO",
  [anon_sym_OVERLAY] = "OVERLAY",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_STAR] = "*",
  [anon_sym_NOCROSSREFS] = "NOCROSSREFS",
  [anon_sym_DOT] = ".",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_ASSERT] = "ASSERT",
  [anon_sym_COMMA] = ",",
  [anon_sym_KEEP] = "KEEP",
  [anon_sym_PROVIDE] = "PROVIDE",
  [anon_sym_PROVIDE_HIDDEN] = "PROVIDE_HIDDEN",
  [anon_sym_MEMORY] = "MEMORY",
  [anon_sym_ORIGIN] = "ORIGIN",
  [anon_sym_org] = "org",
  [anon_sym_o] = "o",
  [anon_sym_LENGTH] = "LENGTH",
  [anon_sym_len] = "len",
  [anon_sym_l] = "l",
  [aux_sym_attributes_token1] = "attributes_token1",
  [anon_sym_PHDRS] = "PHDRS",
  [anon_sym_FILEHDR] = "FILEHDR",
  [anon_sym_QMARK] = "\?",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [sym_number] = "number",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_quoted_symbol_token1] = "quoted_symbol_token1",
  [sym_filename] = "filename",
  [sym_comment] = "comment",
  [sym_linkerscript] = "linkerscript",
  [sym_entry_command] = "entry_command",
  [sym__command] = "_command",
  [sym_sections_command] = "sections_command",
  [sym__output_section_command] = "_output_section_command",
  [sym_output_section] = "output_section",
  [sym__at] = "_at",
  [sym_region] = "region",
  [sym_lma_region] = "lma_region",
  [sym_phdr] = "phdr",
  [sym_fillexp] = "fillexp",
  [sym_section_type] = "section_type",
  [sym_input_section] = "input_section",
  [sym_wildcard_pattern] = "wildcard_pattern",
  [sym_overlay_command] = "overlay_command",
  [sym_assignment] = "assignment",
  [sym_assert_command] = "assert_command",
  [sym_keep_command] = "keep_command",
  [sym_provide_command] = "provide_command",
  [sym_memory_command] = "memory_command",
  [sym__memory] = "_memory",
  [sym_attributes] = "attributes",
  [sym_phdrs_command] = "phdrs_command",
  [sym__phdr] = "_phdr",
  [sym_expression] = "expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_argument_list] = "argument_list",
  [sym_quoted_symbol] = "quoted_symbol",
  [aux_sym_linkerscript_repeat1] = "linkerscript_repeat1",
  [aux_sym_sections_command_repeat1] = "sections_command_repeat1",
  [aux_sym_output_section_repeat1] = "output_section_repeat1",
  [aux_sym_input_section_repeat1] = "input_section_repeat1",
  [aux_sym_assert_command_repeat1] = "assert_command_repeat1",
  [aux_sym_memory_command_repeat1] = "memory_command_repeat1",
  [aux_sym_attributes_repeat1] = "attributes_repeat1",
  [aux_sym_phdrs_command_repeat1] = "phdrs_command_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [alias_sym_load_memory_address] = "load_memory_address",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_symbol] = sym_symbol,
  [anon_sym_ENTRY] = anon_sym_ENTRY,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SECTIONS] = anon_sym_SECTIONS,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_SLASHDISCARD_SLASH] = anon_sym_SLASHDISCARD_SLASH,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_NOLOAD] = anon_sym_NOLOAD,
  [anon_sym_DSECT] = anon_sym_DSECT,
  [anon_sym_COPY] = anon_sym_COPY,
  [anon_sym_INFO] = anon_sym_INFO,
  [anon_sym_OVERLAY] = anon_sym_OVERLAY,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_NOCROSSREFS] = anon_sym_NOCROSSREFS,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_ASSERT] = anon_sym_ASSERT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_KEEP] = anon_sym_KEEP,
  [anon_sym_PROVIDE] = anon_sym_PROVIDE,
  [anon_sym_PROVIDE_HIDDEN] = anon_sym_PROVIDE_HIDDEN,
  [anon_sym_MEMORY] = anon_sym_MEMORY,
  [anon_sym_ORIGIN] = anon_sym_ORIGIN,
  [anon_sym_org] = anon_sym_org,
  [anon_sym_o] = anon_sym_o,
  [anon_sym_LENGTH] = anon_sym_LENGTH,
  [anon_sym_len] = anon_sym_len,
  [anon_sym_l] = anon_sym_l,
  [aux_sym_attributes_token1] = aux_sym_attributes_token1,
  [anon_sym_PHDRS] = anon_sym_PHDRS,
  [anon_sym_FILEHDR] = anon_sym_FILEHDR,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [sym_number] = sym_number,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_quoted_symbol_token1] = aux_sym_quoted_symbol_token1,
  [sym_filename] = sym_filename,
  [sym_comment] = sym_comment,
  [sym_linkerscript] = sym_linkerscript,
  [sym_entry_command] = sym_entry_command,
  [sym__command] = sym__command,
  [sym_sections_command] = sym_sections_command,
  [sym__output_section_command] = sym__output_section_command,
  [sym_output_section] = sym_output_section,
  [sym__at] = sym__at,
  [sym_region] = sym_region,
  [sym_lma_region] = sym_lma_region,
  [sym_phdr] = sym_phdr,
  [sym_fillexp] = sym_fillexp,
  [sym_section_type] = sym_section_type,
  [sym_input_section] = sym_input_section,
  [sym_wildcard_pattern] = sym_wildcard_pattern,
  [sym_overlay_command] = sym_overlay_command,
  [sym_assignment] = sym_assignment,
  [sym_assert_command] = sym_assert_command,
  [sym_keep_command] = sym_keep_command,
  [sym_provide_command] = sym_provide_command,
  [sym_memory_command] = sym_memory_command,
  [sym__memory] = sym__memory,
  [sym_attributes] = sym_attributes,
  [sym_phdrs_command] = sym_phdrs_command,
  [sym__phdr] = sym__phdr,
  [sym_expression] = sym_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_quoted_symbol] = sym_quoted_symbol,
  [aux_sym_linkerscript_repeat1] = aux_sym_linkerscript_repeat1,
  [aux_sym_sections_command_repeat1] = aux_sym_sections_command_repeat1,
  [aux_sym_output_section_repeat1] = aux_sym_output_section_repeat1,
  [aux_sym_input_section_repeat1] = aux_sym_input_section_repeat1,
  [aux_sym_assert_command_repeat1] = aux_sym_assert_command_repeat1,
  [aux_sym_memory_command_repeat1] = aux_sym_memory_command_repeat1,
  [aux_sym_attributes_repeat1] = aux_sym_attributes_repeat1,
  [aux_sym_phdrs_command_repeat1] = aux_sym_phdrs_command_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [alias_sym_load_memory_address] = alias_sym_load_memory_address,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_symbol] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ENTRY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SECTIONS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASHDISCARD_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NOLOAD] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DSECT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COPY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_INFO] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_OVERLAY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NOCROSSREFS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ASSERT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_KEEP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PROVIDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PROVIDE_HIDDEN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_MEMORY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ORIGIN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_org] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_o] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LENGTH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_len] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_l] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_attributes_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_PHDRS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_FILEHDR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_symbol_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_filename] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_linkerscript] = {
    .visible = true,
    .named = true,
  },
  [sym_entry_command] = {
    .visible = true,
    .named = true,
  },
  [sym__command] = {
    .visible = false,
    .named = true,
  },
  [sym_sections_command] = {
    .visible = true,
    .named = true,
  },
  [sym__output_section_command] = {
    .visible = false,
    .named = true,
  },
  [sym_output_section] = {
    .visible = true,
    .named = true,
  },
  [sym__at] = {
    .visible = false,
    .named = true,
  },
  [sym_region] = {
    .visible = true,
    .named = true,
  },
  [sym_lma_region] = {
    .visible = true,
    .named = true,
  },
  [sym_phdr] = {
    .visible = true,
    .named = true,
  },
  [sym_fillexp] = {
    .visible = true,
    .named = true,
  },
  [sym_section_type] = {
    .visible = true,
    .named = true,
  },
  [sym_input_section] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_overlay_command] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_command] = {
    .visible = true,
    .named = true,
  },
  [sym_keep_command] = {
    .visible = true,
    .named = true,
  },
  [sym_provide_command] = {
    .visible = true,
    .named = true,
  },
  [sym_memory_command] = {
    .visible = true,
    .named = true,
  },
  [sym__memory] = {
    .visible = false,
    .named = true,
  },
  [sym_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym_phdrs_command] = {
    .visible = true,
    .named = true,
  },
  [sym__phdr] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_symbol] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_linkerscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sections_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_output_section_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_input_section_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_memory_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_phdrs_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_load_memory_address] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_address = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_condition = 5,
  field_consequence = 6,
  field_function = 7,
  field_left = 8,
  field_length = 9,
  field_name = 10,
  field_operator = 11,
  field_origin = 12,
  field_right = 13,
  field_section = 14,
  field_start = 15,
  field_type = 16,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_address] = "address",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_function] = "function",
  [field_left] = "left",
  [field_length] = "length",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_origin] = "origin",
  [field_right] = "right",
  [field_section] = "section",
  [field_start] = "start",
  [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 3},
  [2] = {.index = 3, .length = 3},
  [3] = {.index = 6, .length = 1},
  [4] = {.index = 7, .length = 2},
  [5] = {.index = 9, .length = 2},
  [6] = {.index = 11, .length = 3},
  [7] = {.index = 14, .length = 6},
  [8] = {.index = 20, .length = 3},
  [9] = {.index = 23, .length = 6},
  [10] = {.index = 29, .length = 3},
  [11] = {.index = 32, .length = 2},
  [12] = {.index = 34, .length = 1},
  [13] = {.index = 35, .length = 2},
  [14] = {.index = 37, .length = 3},
  [15] = {.index = 40, .length = 1},
  [16] = {.index = 41, .length = 1},
  [17] = {.index = 42, .length = 1},
  [18] = {.index = 43, .length = 1},
  [19] = {.index = 44, .length = 1},
  [20] = {.index = 45, .length = 1},
  [21] = {.index = 46, .length = 2},
  [22] = {.index = 48, .length = 2},
  [23] = {.index = 50, .length = 3},
  [24] = {.index = 53, .length = 3},
  [25] = {.index = 56, .length = 1},
  [26] = {.index = 57, .length = 2},
  [27] = {.index = 44, .length = 1},
  [28] = {.index = 59, .length = 2},
  [29] = {.index = 61, .length = 1},
  [30] = {.index = 62, .length = 2},
  [31] = {.index = 64, .length = 2},
  [32] = {.index = 66, .length = 3},
  [33] = {.index = 69, .length = 3},
  [34] = {.index = 61, .length = 1},
  [35] = {.index = 72, .length = 2},
  [36] = {.index = 74, .length = 2},
  [37] = {.index = 76, .length = 2},
  [38] = {.index = 78, .length = 3},
  [39] = {.index = 81, .length = 2},
  [40] = {.index = 83, .length = 3},
  [41] = {.index = 86, .length = 3},
  [42] = {.index = 89, .length = 3},
  [43] = {.index = 92, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_length, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_origin, 0, .inherited = true},
  [3] =
    {field_address, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [6] =
    {field_name, 2},
  [7] =
    {field_argument, 1},
    {field_operator, 0},
  [9] =
    {field_arguments, 1},
    {field_function, 0},
  [11] =
    {field_length, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_origin, 2, .inherited = true},
  [14] =
    {field_length, 0, .inherited = true},
    {field_length, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_origin, 0, .inherited = true},
    {field_origin, 1, .inherited = true},
  [20] =
    {field_address, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [23] =
    {field_address, 0, .inherited = true},
    {field_address, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [29] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [32] =
    {field_name, 0},
    {field_type, 1},
  [34] =
    {field_name, 0},
  [35] =
    {field_alternative, 3},
    {field_condition, 0},
  [37] =
    {field_address, 2, .inherited = true},
    {field_name, 0},
    {field_type, 1},
  [40] =
    {field_section, 0},
  [41] =
    {field_address, 2},
  [42] =
    {field_address, 1, .inherited = true},
  [43] =
    {field_address, 1},
  [44] =
    {field_address, 2, .inherited = true},
  [45] =
    {field_start, 1},
  [46] =
    {field_address, 1, .inherited = true},
    {field_name, 0},
  [48] =
    {field_address, 1},
    {field_name, 0},
  [50] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [53] =
    {field_address, 3, .inherited = true},
    {field_name, 0},
    {field_type, 1},
  [56] =
    {field_section, 2, .inherited = true},
  [57] =
    {field_section, 0, .inherited = true},
    {field_section, 1, .inherited = true},
  [59] =
    {field_address, 1},
    {field_address, 2, .inherited = true},
  [61] =
    {field_address, 3, .inherited = true},
  [62] =
    {field_address, 3, .inherited = true},
    {field_start, 1},
  [64] =
    {field_address, 2, .inherited = true},
    {field_name, 0},
  [66] =
    {field_address, 1},
    {field_address, 2, .inherited = true},
    {field_name, 0},
  [69] =
    {field_address, 4, .inherited = true},
    {field_name, 0},
    {field_type, 1},
  [72] =
    {field_address, 1},
    {field_address, 3, .inherited = true},
  [74] =
    {field_address, 4, .inherited = true},
    {field_start, 1},
  [76] =
    {field_address, 3, .inherited = true},
    {field_name, 0},
  [78] =
    {field_address, 1},
    {field_address, 3, .inherited = true},
    {field_name, 0},
  [81] =
    {field_address, 1},
    {field_address, 4, .inherited = true},
  [83] =
    {field_address, 1},
    {field_address, 4, .inherited = true},
    {field_name, 0},
  [86] =
    {field_length, 8},
    {field_name, 0},
    {field_origin, 4},
  [89] =
    {field_length, 9},
    {field_name, 0},
    {field_origin, 5},
  [92] =
    {field_length, 11},
    {field_name, 0},
    {field_origin, 7},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [17] = {
    [1] = alias_sym_load_memory_address,
  },
  [21] = {
    [1] = alias_sym_load_memory_address,
  },
  [27] = {
    [2] = alias_sym_load_memory_address,
  },
  [28] = {
    [2] = alias_sym_load_memory_address,
  },
  [31] = {
    [2] = alias_sym_load_memory_address,
  },
  [32] = {
    [2] = alias_sym_load_memory_address,
  },
  [34] = {
    [3] = alias_sym_load_memory_address,
  },
  [35] = {
    [3] = alias_sym_load_memory_address,
  },
  [37] = {
    [3] = alias_sym_load_memory_address,
  },
  [38] = {
    [3] = alias_sym_load_memory_address,
  },
  [39] = {
    [4] = alias_sym_load_memory_address,
  },
  [40] = {
    [4] = alias_sym_load_memory_address,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__at, 2,
    sym__at,
    alias_sym_load_memory_address,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 10,
  [17] = 5,
  [18] = 12,
  [19] = 9,
  [20] = 13,
  [21] = 8,
  [22] = 11,
  [23] = 14,
  [24] = 6,
  [25] = 7,
  [26] = 15,
  [27] = 2,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 28,
  [36] = 33,
  [37] = 34,
  [38] = 30,
  [39] = 29,
  [40] = 31,
  [41] = 32,
  [42] = 13,
  [43] = 5,
  [44] = 44,
  [45] = 45,
  [46] = 15,
  [47] = 6,
  [48] = 10,
  [49] = 11,
  [50] = 12,
  [51] = 9,
  [52] = 7,
  [53] = 8,
  [54] = 14,
  [55] = 2,
  [56] = 56,
  [57] = 28,
  [58] = 58,
  [59] = 32,
  [60] = 30,
  [61] = 31,
  [62] = 29,
  [63] = 33,
  [64] = 34,
  [65] = 65,
  [66] = 66,
  [67] = 66,
  [68] = 66,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 74,
  [86] = 74,
  [87] = 82,
  [88] = 81,
  [89] = 81,
  [90] = 90,
  [91] = 80,
  [92] = 79,
  [93] = 82,
  [94] = 94,
  [95] = 80,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 99,
  [102] = 102,
  [103] = 103,
  [104] = 103,
  [105] = 103,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 108,
  [149] = 149,
  [150] = 107,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 151,
  [161] = 109,
  [162] = 152,
  [163] = 153,
  [164] = 154,
  [165] = 155,
  [166] = 156,
  [167] = 157,
  [168] = 158,
  [169] = 118,
  [170] = 108,
  [171] = 159,
  [172] = 151,
  [173] = 152,
  [174] = 153,
  [175] = 154,
  [176] = 155,
  [177] = 156,
  [178] = 157,
  [179] = 158,
  [180] = 109,
  [181] = 181,
  [182] = 118,
  [183] = 183,
  [184] = 149,
  [185] = 107,
  [186] = 149,
  [187] = 159,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 308,
  [314] = 305,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 383,
  [386] = 386,
  [387] = 383,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 366,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 366,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 305,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 308,
  [739] = 739,
  [740] = 724,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 724,
  [747] = 747,
  [748] = 742,
  [749] = 742,
  [750] = 312,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 318,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 786,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 790,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 786,
  [820] = 820,
  [821] = 821,
  [822] = 797,
  [823] = 802,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 797,
  [828] = 802,
  [829] = 829,
  [830] = 784,
  [831] = 831,
  [832] = 784,
  [833] = 790,
};

static TSCharacterRange aux_sym_attributes_token1_character_set_1[] = {
  {'!', '!'}, {'A', 'A'}, {'I', 'I'}, {'L', 'L'}, {'R', 'R'}, {'W', 'X'}, {'a', 'a'}, {'i', 'i'},
  {'l', 'l'}, {'r', 'r'}, {'w', 'x'},
};

static TSCharacterRange sym_filename_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '\''}, {'*', '+'}, {'-', ':'}, {'<', '<'}, {'>', 'z'}, {'|', '|'},
  {'~', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(35);
      ADVANCE_MAP(
        '!', 72,
        '"', 126,
        '%', 87,
        '&', 97,
        '(', 36,
        ')', 37,
        '*', 53,
        '+', 81,
        ',', 66,
        '-', 78,
        '.', 56,
        '/', 84,
        '0', 113,
        ':', 41,
        ';', 42,
        '<', 103,
        '=', 48,
        '>', 44,
        '?', 69,
        '[', 49,
        ']', 51,
        '{', 38,
        '|', 93,
        '}', 39,
        '~', 75,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (set_contains(aux_sym_attributes_token1_character_set_1, 11, lookahead)) ADVANCE(68);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 1:
      if (lookahead == '\r') ADVANCE(156);
      if (lookahead == '\\') ADVANCE(154);
      if (lookahead != 0) ADVANCE(155);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 73,
        '"', 127,
        '%', 88,
        '&', 98,
        '(', 36,
        ')', 37,
        '*', 55,
        '+', 82,
        '-', 79,
        '.', 57,
        '/', 86,
        '0', 114,
        '<', 104,
        '=', 21,
        '>', 45,
        '?', 70,
        '[', 50,
        '|', 95,
        '~', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(125);
      if (lookahead != 0 &&
          (lookahead < '(' || '9' < lookahead) &&
          (lookahead < ';' || '?' < lookahead) &&
          (lookahead < 'a' || '~' < lookahead)) ADVANCE(152);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 74,
        '"', 127,
        '(', 36,
        ')', 37,
        '*', 55,
        '-', 79,
        '.', 57,
        '/', 138,
        '0', 114,
        '[', 50,
        '~', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(125);
      if (lookahead != 0 &&
          (lookahead < ',' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '=' &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(152);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 17,
        '%', 87,
        '&', 96,
        '(', 36,
        ')', 37,
        '*', 52,
        '+', 80,
        ',', 66,
        '-', 77,
        '/', 83,
        ':', 41,
        ';', 42,
        '<', 105,
        '=', 21,
        '>', 46,
        '?', 69,
        '{', 38,
        '|', 94,
        '}', 39,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (lookahead == '.' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 17,
        '%', 87,
        '&', 96,
        '(', 36,
        '*', 52,
        '+', 80,
        '-', 77,
        '.', 56,
        '/', 85,
        '<', 105,
        '=', 21,
        '>', 46,
        '?', 69,
        '|', 94,
        '}', 39,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '&', 142,
        '(', 36,
        '*', 54,
        '+', 143,
        '-', 144,
        '.', 57,
        '/', 137,
        ';', 42,
        '<', 141,
        '=', 47,
        '>', 148,
        '[', 50,
        '|', 145,
        '}', 39,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(125);
      if (lookahead != 0 &&
          (lookahead < '(' || '/' < lookahead) &&
          (lookahead < 'a' || '}' < lookahead)) ADVANCE(152);
      END_STATE();
    case 7:
      if (lookahead == '(') ADVANCE(36);
      if (lookahead == ')') ADVANCE(37);
      if (lookahead == '/') ADVANCE(9);
      if (lookahead == ':') ADVANCE(41);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (set_contains(aux_sym_attributes_token1_character_set_1, 11, lookahead)) ADVANCE(67);
      END_STATE();
    case 8:
      if (lookahead == ')') ADVANCE(37);
      if (lookahead == '*') ADVANCE(55);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == '[') ADVANCE(50);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (lookahead == '.' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(125);
      if (lookahead != 0 &&
          (lookahead < '(' || '*' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '=' &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(152);
      END_STATE();
    case 9:
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(155);
      END_STATE();
    case 10:
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(155);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == 'D') ADVANCE(29);
      END_STATE();
    case 11:
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(155);
      if (lookahead == 'D') ADVANCE(29);
      END_STATE();
    case 12:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead == '/') ADVANCE(153);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 13:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(56);
      if (lookahead == '/') ADVANCE(11);
      if (lookahead == ':') ADVANCE(41);
      if (lookahead == '=') ADVANCE(47);
      if (lookahead == '>') ADVANCE(43);
      if (lookahead == '}') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 15:
      if (lookahead == '/') ADVANCE(40);
      END_STATE();
    case 16:
      if (lookahead == '<') ADVANCE(23);
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(64);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(60);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(99);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(65);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(63);
      END_STATE();
    case 25:
      if (lookahead == '>') ADVANCE(24);
      END_STATE();
    case 26:
      if (lookahead == 'A') ADVANCE(30);
      END_STATE();
    case 27:
      if (lookahead == 'C') ADVANCE(26);
      END_STATE();
    case 28:
      if (lookahead == 'D') ADVANCE(15);
      END_STATE();
    case 29:
      if (lookahead == 'I') ADVANCE(31);
      END_STATE();
    case 30:
      if (lookahead == 'R') ADVANCE(28);
      END_STATE();
    case 31:
      if (lookahead == 'S') ADVANCE(27);
      END_STATE();
    case 32:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(115);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 34:
      if (eof) ADVANCE(35);
      ADVANCE_MAP(
        '!', 71,
        '"', 126,
        '&', 18,
        '(', 36,
        '*', 19,
        '+', 20,
        '-', 78,
        '.', 56,
        '/', 10,
        '0', 113,
        ':', 41,
        '<', 16,
        '=', 47,
        '>', 25,
        '{', 38,
        '|', 22,
        '}', 39,
        '~', 75,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_SLASHDISCARD_SLASH);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(101);
      if (lookahead == '>') ADVANCE(110);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(101);
      if (lookahead == '>') ADVANCE(111);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(101);
      if (lookahead == '>') ADVANCE(109);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(99);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(60);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(60);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_STAR);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(125);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(aux_sym_attributes_token1);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(aux_sym_attributes_token1);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(100);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_BANG);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(59);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_DASH);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(58);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(155);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(155);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == 'D') ADVANCE(29);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(155);
      if (lookahead == 'D') ADVANCE(29);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '/') ADVANCE(149);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(65);
      if (lookahead == '|') ADVANCE(89);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(89);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(90);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(91);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == '=') ADVANCE(64);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(92);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(107);
      if (lookahead == '=') ADVANCE(102);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(102);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(102);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(62);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(63);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(32);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(117);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(150);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(118);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(116);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(118);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        'B', 112,
        'D', 112,
        'H', 112,
        'K', 112,
        'M', 112,
        'O', 112,
        'b', 112,
        'd', 112,
        'h', 112,
        'o', 112,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        'B', 123,
        'D', 123,
        'H', 123,
        'K', 123,
        'M', 123,
        'O', 123,
        'b', 123,
        'd', 123,
        'h', 123,
        'o', 123,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_number);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(125);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_quoted_symbol_token1);
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '"') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(129);
      if (lookahead != 0) ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(aux_sym_quoted_symbol_token1);
      if (lookahead == '\r') ADVANCE(132);
      if (lookahead == '"') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(129);
      if (lookahead != 0) ADVANCE(128);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(aux_sym_quoted_symbol_token1);
      if (lookahead == '"') ADVANCE(13);
      if (lookahead == '*') ADVANCE(130);
      if (lookahead == '/') ADVANCE(135);
      if (lookahead != 0) ADVANCE(131);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym_quoted_symbol_token1);
      if (lookahead == '"') ADVANCE(13);
      if (lookahead == '*') ADVANCE(130);
      if (lookahead != 0) ADVANCE(131);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym_quoted_symbol_token1);
      if (lookahead == '"') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(129);
      if (lookahead != 0) ADVANCE(128);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym_quoted_symbol_token1);
      if (lookahead == '*') ADVANCE(131);
      if (lookahead == '/') ADVANCE(128);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(135);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_quoted_symbol_token1);
      if (lookahead == '/') ADVANCE(133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(134);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(135);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_quoted_symbol_token1);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '\r') ADVANCE(156);
      if (lookahead == '\\') ADVANCE(136);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '=' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(155);
      if (lookahead != 0) ADVANCE(149);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '/') ADVANCE(149);
      if (lookahead == '=') ADVANCE(61);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '/') ADVANCE(149);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '*') ADVANCE(139);
      if (lookahead == '/') ADVANCE(152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '=' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(13);
      if (lookahead != 0) ADVANCE(140);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '*') ADVANCE(139);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '=' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(13);
      if (lookahead != 0) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '<') ADVANCE(146);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '=') ADVANCE(64);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '=') ADVANCE(58);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '=') ADVANCE(59);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '=') ADVANCE(65);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '=') ADVANCE(62);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '=') ADVANCE(63);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '>') ADVANCE(147);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '\\') ADVANCE(136);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '=' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(155);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_filename);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(116);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_filename);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_filename);
      if ((!eof && set_contains(sym_filename_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(156);
      if (lookahead == '\\') ADVANCE(154);
      if (lookahead != 0) ADVANCE(155);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(155);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(1);
      if (lookahead != 0) ADVANCE(155);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'C', 2,
        'D', 3,
        'E', 4,
        'F', 5,
        'I', 6,
        'K', 7,
        'L', 8,
        'M', 9,
        'N', 10,
        'O', 11,
        'P', 12,
        'S', 13,
        'l', 14,
        'o', 15,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'S') ADVANCE(16);
      if (lookahead == 'T') ADVANCE(17);
      END_STATE();
    case 2:
      if (lookahead == 'O') ADVANCE(18);
      END_STATE();
    case 3:
      if (lookahead == 'S') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'N') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'I') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'N') ADVANCE(22);
      END_STATE();
    case 7:
      if (lookahead == 'E') ADVANCE(23);
      END_STATE();
    case 8:
      if (lookahead == 'E') ADVANCE(24);
      END_STATE();
    case 9:
      if (lookahead == 'E') ADVANCE(25);
      END_STATE();
    case 10:
      if (lookahead == 'O') ADVANCE(26);
      END_STATE();
    case 11:
      if (lookahead == 'R') ADVANCE(27);
      if (lookahead == 'V') ADVANCE(28);
      END_STATE();
    case 12:
      if (lookahead == 'H') ADVANCE(29);
      if (lookahead == 'R') ADVANCE(30);
      END_STATE();
    case 13:
      if (lookahead == 'E') ADVANCE(31);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_l);
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_o);
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 16:
      if (lookahead == 'S') ADVANCE(34);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 18:
      if (lookahead == 'P') ADVANCE(35);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(36);
      END_STATE();
    case 20:
      if (lookahead == 'T') ADVANCE(37);
      END_STATE();
    case 21:
      if (lookahead == 'L') ADVANCE(38);
      END_STATE();
    case 22:
      if (lookahead == 'F') ADVANCE(39);
      END_STATE();
    case 23:
      if (lookahead == 'E') ADVANCE(40);
      END_STATE();
    case 24:
      if (lookahead == 'N') ADVANCE(41);
      END_STATE();
    case 25:
      if (lookahead == 'M') ADVANCE(42);
      END_STATE();
    case 26:
      if (lookahead == 'C') ADVANCE(43);
      if (lookahead == 'L') ADVANCE(44);
      END_STATE();
    case 27:
      if (lookahead == 'I') ADVANCE(45);
      END_STATE();
    case 28:
      if (lookahead == 'E') ADVANCE(46);
      END_STATE();
    case 29:
      if (lookahead == 'D') ADVANCE(47);
      END_STATE();
    case 30:
      if (lookahead == 'O') ADVANCE(48);
      END_STATE();
    case 31:
      if (lookahead == 'C') ADVANCE(49);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 33:
      if (lookahead == 'g') ADVANCE(51);
      END_STATE();
    case 34:
      if (lookahead == 'E') ADVANCE(52);
      END_STATE();
    case 35:
      if (lookahead == 'Y') ADVANCE(53);
      END_STATE();
    case 36:
      if (lookahead == 'C') ADVANCE(54);
      END_STATE();
    case 37:
      if (lookahead == 'R') ADVANCE(55);
      END_STATE();
    case 38:
      if (lookahead == 'E') ADVANCE(56);
      END_STATE();
    case 39:
      if (lookahead == 'O') ADVANCE(57);
      END_STATE();
    case 40:
      if (lookahead == 'P') ADVANCE(58);
      END_STATE();
    case 41:
      if (lookahead == 'G') ADVANCE(59);
      END_STATE();
    case 42:
      if (lookahead == 'O') ADVANCE(60);
      END_STATE();
    case 43:
      if (lookahead == 'R') ADVANCE(61);
      END_STATE();
    case 44:
      if (lookahead == 'O') ADVANCE(62);
      END_STATE();
    case 45:
      if (lookahead == 'G') ADVANCE(63);
      END_STATE();
    case 46:
      if (lookahead == 'R') ADVANCE(64);
      END_STATE();
    case 47:
      if (lookahead == 'R') ADVANCE(65);
      END_STATE();
    case 48:
      if (lookahead == 'V') ADVANCE(66);
      END_STATE();
    case 49:
      if (lookahead == 'T') ADVANCE(67);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_len);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_org);
      END_STATE();
    case 52:
      if (lookahead == 'R') ADVANCE(68);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_COPY);
      END_STATE();
    case 54:
      if (lookahead == 'T') ADVANCE(69);
      END_STATE();
    case 55:
      if (lookahead == 'Y') ADVANCE(70);
      END_STATE();
    case 56:
      if (lookahead == 'H') ADVANCE(71);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_INFO);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_KEEP);
      END_STATE();
    case 59:
      if (lookahead == 'T') ADVANCE(72);
      END_STATE();
    case 60:
      if (lookahead == 'R') ADVANCE(73);
      END_STATE();
    case 61:
      if (lookahead == 'O') ADVANCE(74);
      END_STATE();
    case 62:
      if (lookahead == 'A') ADVANCE(75);
      END_STATE();
    case 63:
      if (lookahead == 'I') ADVANCE(76);
      END_STATE();
    case 64:
      if (lookahead == 'L') ADVANCE(77);
      END_STATE();
    case 65:
      if (lookahead == 'S') ADVANCE(78);
      END_STATE();
    case 66:
      if (lookahead == 'I') ADVANCE(79);
      END_STATE();
    case 67:
      if (lookahead == 'I') ADVANCE(80);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(81);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_DSECT);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_ENTRY);
      END_STATE();
    case 71:
      if (lookahead == 'D') ADVANCE(82);
      END_STATE();
    case 72:
      if (lookahead == 'H') ADVANCE(83);
      END_STATE();
    case 73:
      if (lookahead == 'Y') ADVANCE(84);
      END_STATE();
    case 74:
      if (lookahead == 'S') ADVANCE(85);
      END_STATE();
    case 75:
      if (lookahead == 'D') ADVANCE(86);
      END_STATE();
    case 76:
      if (lookahead == 'N') ADVANCE(87);
      END_STATE();
    case 77:
      if (lookahead == 'A') ADVANCE(88);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_PHDRS);
      END_STATE();
    case 79:
      if (lookahead == 'D') ADVANCE(89);
      END_STATE();
    case 80:
      if (lookahead == 'O') ADVANCE(90);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_ASSERT);
      END_STATE();
    case 82:
      if (lookahead == 'R') ADVANCE(91);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LENGTH);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_MEMORY);
      END_STATE();
    case 85:
      if (lookahead == 'S') ADVANCE(92);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_NOLOAD);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_ORIGIN);
      END_STATE();
    case 88:
      if (lookahead == 'Y') ADVANCE(93);
      END_STATE();
    case 89:
      if (lookahead == 'E') ADVANCE(94);
      END_STATE();
    case 90:
      if (lookahead == 'N') ADVANCE(95);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_FILEHDR);
      END_STATE();
    case 92:
      if (lookahead == 'R') ADVANCE(96);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_OVERLAY);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PROVIDE);
      if (lookahead == '_') ADVANCE(97);
      END_STATE();
    case 95:
      if (lookahead == 'S') ADVANCE(98);
      END_STATE();
    case 96:
      if (lookahead == 'E') ADVANCE(99);
      END_STATE();
    case 97:
      if (lookahead == 'H') ADVANCE(100);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_SECTIONS);
      END_STATE();
    case 99:
      if (lookahead == 'F') ADVANCE(101);
      END_STATE();
    case 100:
      if (lookahead == 'I') ADVANCE(102);
      END_STATE();
    case 101:
      if (lookahead == 'S') ADVANCE(103);
      END_STATE();
    case 102:
      if (lookahead == 'D') ADVANCE(104);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_NOCROSSREFS);
      END_STATE();
    case 104:
      if (lookahead == 'D') ADVANCE(105);
      END_STATE();
    case 105:
      if (lookahead == 'E') ADVANCE(106);
      END_STATE();
    case 106:
      if (lookahead == 'N') ADVANCE(107);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_PROVIDE_HIDDEN);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 34},
  [2] = {.lex_state = 2},
  [3] = {.lex_state = 34},
  [4] = {.lex_state = 2},
  [5] = {.lex_state = 2},
  [6] = {.lex_state = 2},
  [7] = {.lex_state = 2},
  [8] = {.lex_state = 2},
  [9] = {.lex_state = 2},
  [10] = {.lex_state = 2},
  [11] = {.lex_state = 2},
  [12] = {.lex_state = 2},
  [13] = {.lex_state = 2},
  [14] = {.lex_state = 2},
  [15] = {.lex_state = 2},
  [16] = {.lex_state = 4},
  [17] = {.lex_state = 4},
  [18] = {.lex_state = 4},
  [19] = {.lex_state = 4},
  [20] = {.lex_state = 4},
  [21] = {.lex_state = 4},
  [22] = {.lex_state = 4},
  [23] = {.lex_state = 4},
  [24] = {.lex_state = 4},
  [25] = {.lex_state = 4},
  [26] = {.lex_state = 4},
  [27] = {.lex_state = 4},
  [28] = {.lex_state = 2},
  [29] = {.lex_state = 2},
  [30] = {.lex_state = 2},
  [31] = {.lex_state = 2},
  [32] = {.lex_state = 2},
  [33] = {.lex_state = 2},
  [34] = {.lex_state = 2},
  [35] = {.lex_state = 4},
  [36] = {.lex_state = 4},
  [37] = {.lex_state = 4},
  [38] = {.lex_state = 4},
  [39] = {.lex_state = 4},
  [40] = {.lex_state = 4},
  [41] = {.lex_state = 4},
  [42] = {.lex_state = 5},
  [43] = {.lex_state = 5},
  [44] = {.lex_state = 5},
  [45] = {.lex_state = 3},
  [46] = {.lex_state = 5},
  [47] = {.lex_state = 5},
  [48] = {.lex_state = 5},
  [49] = {.lex_state = 5},
  [50] = {.lex_state = 5},
  [51] = {.lex_state = 5},
  [52] = {.lex_state = 5},
  [53] = {.lex_state = 5},
  [54] = {.lex_state = 5},
  [55] = {.lex_state = 5},
  [56] = {.lex_state = 4},
  [57] = {.lex_state = 5},
  [58] = {.lex_state = 4},
  [59] = {.lex_state = 5},
  [60] = {.lex_state = 5},
  [61] = {.lex_state = 5},
  [62] = {.lex_state = 5},
  [63] = {.lex_state = 5},
  [64] = {.lex_state = 5},
  [65] = {.lex_state = 4},
  [66] = {.lex_state = 4},
  [67] = {.lex_state = 4},
  [68] = {.lex_state = 4},
  [69] = {.lex_state = 4},
  [70] = {.lex_state = 4},
  [71] = {.lex_state = 4},
  [72] = {.lex_state = 4},
  [73] = {.lex_state = 4},
  [74] = {.lex_state = 4},
  [75] = {.lex_state = 4},
  [76] = {.lex_state = 4},
  [77] = {.lex_state = 4},
  [78] = {.lex_state = 4},
  [79] = {.lex_state = 3},
  [80] = {.lex_state = 4},
  [81] = {.lex_state = 3},
  [82] = {.lex_state = 4},
  [83] = {.lex_state = 4},
  [84] = {.lex_state = 3},
  [85] = {.lex_state = 4},
  [86] = {.lex_state = 4},
  [87] = {.lex_state = 4},
  [88] = {.lex_state = 3},
  [89] = {.lex_state = 3},
  [90] = {.lex_state = 4},
  [91] = {.lex_state = 4},
  [92] = {.lex_state = 3},
  [93] = {.lex_state = 4},
  [94] = {.lex_state = 4},
  [95] = {.lex_state = 4},
  [96] = {.lex_state = 6},
  [97] = {.lex_state = 34},
  [98] = {.lex_state = 3},
  [99] = {.lex_state = 3},
  [100] = {.lex_state = 34},
  [101] = {.lex_state = 3},
  [102] = {.lex_state = 34},
  [103] = {.lex_state = 34},
  [104] = {.lex_state = 34},
  [105] = {.lex_state = 34},
  [106] = {.lex_state = 34},
  [107] = {.lex_state = 34},
  [108] = {.lex_state = 34},
  [109] = {.lex_state = 34},
  [110] = {.lex_state = 6},
  [111] = {.lex_state = 6},
  [112] = {.lex_state = 6},
  [113] = {.lex_state = 6},
  [114] = {.lex_state = 34},
  [115] = {.lex_state = 6},
  [116] = {.lex_state = 6},
  [117] = {.lex_state = 6},
  [118] = {.lex_state = 34},
  [119] = {.lex_state = 34},
  [120] = {.lex_state = 34},
  [121] = {.lex_state = 6},
  [122] = {.lex_state = 6},
  [123] = {.lex_state = 6},
  [124] = {.lex_state = 6},
  [125] = {.lex_state = 6},
  [126] = {.lex_state = 6},
  [127] = {.lex_state = 6},
  [128] = {.lex_state = 6},
  [129] = {.lex_state = 6},
  [130] = {.lex_state = 6},
  [131] = {.lex_state = 34},
  [132] = {.lex_state = 34},
  [133] = {.lex_state = 34},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 34},
  [145] = {.lex_state = 34},
  [146] = {.lex_state = 34},
  [147] = {.lex_state = 34},
  [148] = {.lex_state = 34},
  [149] = {.lex_state = 34},
  [150] = {.lex_state = 34},
  [151] = {.lex_state = 34},
  [152] = {.lex_state = 34},
  [153] = {.lex_state = 34},
  [154] = {.lex_state = 34},
  [155] = {.lex_state = 34},
  [156] = {.lex_state = 34},
  [157] = {.lex_state = 34},
  [158] = {.lex_state = 34},
  [159] = {.lex_state = 34},
  [160] = {.lex_state = 34},
  [161] = {.lex_state = 34},
  [162] = {.lex_state = 34},
  [163] = {.lex_state = 34},
  [164] = {.lex_state = 34},
  [165] = {.lex_state = 34},
  [166] = {.lex_state = 34},
  [167] = {.lex_state = 34},
  [168] = {.lex_state = 34},
  [169] = {.lex_state = 34},
  [170] = {.lex_state = 34},
  [171] = {.lex_state = 34},
  [172] = {.lex_state = 34},
  [173] = {.lex_state = 34},
  [174] = {.lex_state = 34},
  [175] = {.lex_state = 34},
  [176] = {.lex_state = 34},
  [177] = {.lex_state = 34},
  [178] = {.lex_state = 34},
  [179] = {.lex_state = 34},
  [180] = {.lex_state = 34},
  [181] = {.lex_state = 6},
  [182] = {.lex_state = 34},
  [183] = {.lex_state = 6},
  [184] = {.lex_state = 34},
  [185] = {.lex_state = 34},
  [186] = {.lex_state = 34},
  [187] = {.lex_state = 34},
  [188] = {.lex_state = 6},
  [189] = {.lex_state = 14},
  [190] = {.lex_state = 6},
  [191] = {.lex_state = 14},
  [192] = {.lex_state = 6},
  [193] = {.lex_state = 14},
  [194] = {.lex_state = 6},
  [195] = {.lex_state = 6},
  [196] = {.lex_state = 6},
  [197] = {.lex_state = 14},
  [198] = {.lex_state = 14},
  [199] = {.lex_state = 6},
  [200] = {.lex_state = 14},
  [201] = {.lex_state = 6},
  [202] = {.lex_state = 6},
  [203] = {.lex_state = 6},
  [204] = {.lex_state = 6},
  [205] = {.lex_state = 14},
  [206] = {.lex_state = 14},
  [207] = {.lex_state = 14},
  [208] = {.lex_state = 14},
  [209] = {.lex_state = 14},
  [210] = {.lex_state = 6},
  [211] = {.lex_state = 14},
  [212] = {.lex_state = 6},
  [213] = {.lex_state = 14},
  [214] = {.lex_state = 14},
  [215] = {.lex_state = 14},
  [216] = {.lex_state = 6},
  [217] = {.lex_state = 14},
  [218] = {.lex_state = 14},
  [219] = {.lex_state = 14},
  [220] = {.lex_state = 14},
  [221] = {.lex_state = 14},
  [222] = {.lex_state = 14},
  [223] = {.lex_state = 14},
  [224] = {.lex_state = 14},
  [225] = {.lex_state = 14},
  [226] = {.lex_state = 14},
  [227] = {.lex_state = 14},
  [228] = {.lex_state = 6},
  [229] = {.lex_state = 6},
  [230] = {.lex_state = 6},
  [231] = {.lex_state = 6},
  [232] = {.lex_state = 6},
  [233] = {.lex_state = 6},
  [234] = {.lex_state = 14},
  [235] = {.lex_state = 6},
  [236] = {.lex_state = 6},
  [237] = {.lex_state = 6},
  [238] = {.lex_state = 6},
  [239] = {.lex_state = 6},
  [240] = {.lex_state = 6},
  [241] = {.lex_state = 6},
  [242] = {.lex_state = 6},
  [243] = {.lex_state = 14},
  [244] = {.lex_state = 14},
  [245] = {.lex_state = 34},
  [246] = {.lex_state = 14},
  [247] = {.lex_state = 14},
  [248] = {.lex_state = 34},
  [249] = {.lex_state = 14},
  [250] = {.lex_state = 34},
  [251] = {.lex_state = 34},
  [252] = {.lex_state = 34},
  [253] = {.lex_state = 14},
  [254] = {.lex_state = 34},
  [255] = {.lex_state = 34},
  [256] = {.lex_state = 34},
  [257] = {.lex_state = 34},
  [258] = {.lex_state = 34},
  [259] = {.lex_state = 34},
  [260] = {.lex_state = 3},
  [261] = {.lex_state = 34},
  [262] = {.lex_state = 34},
  [263] = {.lex_state = 34},
  [264] = {.lex_state = 34},
  [265] = {.lex_state = 34},
  [266] = {.lex_state = 34},
  [267] = {.lex_state = 14},
  [268] = {.lex_state = 14},
  [269] = {.lex_state = 14},
  [270] = {.lex_state = 34},
  [271] = {.lex_state = 14},
  [272] = {.lex_state = 34},
  [273] = {.lex_state = 34},
  [274] = {.lex_state = 34},
  [275] = {.lex_state = 34},
  [276] = {.lex_state = 34},
  [277] = {.lex_state = 34},
  [278] = {.lex_state = 34},
  [279] = {.lex_state = 34},
  [280] = {.lex_state = 34},
  [281] = {.lex_state = 34},
  [282] = {.lex_state = 34},
  [283] = {.lex_state = 14},
  [284] = {.lex_state = 34},
  [285] = {.lex_state = 34},
  [286] = {.lex_state = 34},
  [287] = {.lex_state = 34},
  [288] = {.lex_state = 34},
  [289] = {.lex_state = 34},
  [290] = {.lex_state = 34},
  [291] = {.lex_state = 34},
  [292] = {.lex_state = 34},
  [293] = {.lex_state = 34},
  [294] = {.lex_state = 34},
  [295] = {.lex_state = 14},
  [296] = {.lex_state = 34},
  [297] = {.lex_state = 34},
  [298] = {.lex_state = 34},
  [299] = {.lex_state = 34},
  [300] = {.lex_state = 34},
  [301] = {.lex_state = 34},
  [302] = {.lex_state = 34},
  [303] = {.lex_state = 14},
  [304] = {.lex_state = 34},
  [305] = {.lex_state = 3},
  [306] = {.lex_state = 34},
  [307] = {.lex_state = 34},
  [308] = {.lex_state = 3},
  [309] = {.lex_state = 14},
  [310] = {.lex_state = 34},
  [311] = {.lex_state = 14},
  [312] = {.lex_state = 6},
  [313] = {.lex_state = 6},
  [314] = {.lex_state = 6},
  [315] = {.lex_state = 34},
  [316] = {.lex_state = 34},
  [317] = {.lex_state = 34},
  [318] = {.lex_state = 6},
  [319] = {.lex_state = 34},
  [320] = {.lex_state = 34},
  [321] = {.lex_state = 34},
  [322] = {.lex_state = 34},
  [323] = {.lex_state = 34},
  [324] = {.lex_state = 34},
  [325] = {.lex_state = 34},
  [326] = {.lex_state = 34},
  [327] = {.lex_state = 34},
  [328] = {.lex_state = 34},
  [329] = {.lex_state = 34},
  [330] = {.lex_state = 34},
  [331] = {.lex_state = 34},
  [332] = {.lex_state = 34},
  [333] = {.lex_state = 34},
  [334] = {.lex_state = 34},
  [335] = {.lex_state = 34},
  [336] = {.lex_state = 34},
  [337] = {.lex_state = 34},
  [338] = {.lex_state = 6},
  [339] = {.lex_state = 34},
  [340] = {.lex_state = 34},
  [341] = {.lex_state = 34},
  [342] = {.lex_state = 34},
  [343] = {.lex_state = 34},
  [344] = {.lex_state = 34},
  [345] = {.lex_state = 34},
  [346] = {.lex_state = 34},
  [347] = {.lex_state = 34},
  [348] = {.lex_state = 34},
  [349] = {.lex_state = 34},
  [350] = {.lex_state = 34},
  [351] = {.lex_state = 34},
  [352] = {.lex_state = 34},
  [353] = {.lex_state = 34},
  [354] = {.lex_state = 34},
  [355] = {.lex_state = 34},
  [356] = {.lex_state = 34},
  [357] = {.lex_state = 34},
  [358] = {.lex_state = 34},
  [359] = {.lex_state = 34},
  [360] = {.lex_state = 34},
  [361] = {.lex_state = 34},
  [362] = {.lex_state = 34},
  [363] = {.lex_state = 34},
  [364] = {.lex_state = 34},
  [365] = {.lex_state = 34},
  [366] = {.lex_state = 6},
  [367] = {.lex_state = 34},
  [368] = {.lex_state = 34},
  [369] = {.lex_state = 6},
  [370] = {.lex_state = 34},
  [371] = {.lex_state = 34},
  [372] = {.lex_state = 34},
  [373] = {.lex_state = 34},
  [374] = {.lex_state = 6},
  [375] = {.lex_state = 34},
  [376] = {.lex_state = 6},
  [377] = {.lex_state = 34},
  [378] = {.lex_state = 34},
  [379] = {.lex_state = 34},
  [380] = {.lex_state = 34},
  [381] = {.lex_state = 34},
  [382] = {.lex_state = 34},
  [383] = {.lex_state = 34},
  [384] = {.lex_state = 6},
  [385] = {.lex_state = 34},
  [386] = {.lex_state = 34},
  [387] = {.lex_state = 34},
  [388] = {.lex_state = 34},
  [389] = {.lex_state = 34},
  [390] = {.lex_state = 34},
  [391] = {.lex_state = 34},
  [392] = {.lex_state = 34},
  [393] = {.lex_state = 34},
  [394] = {.lex_state = 34},
  [395] = {.lex_state = 34},
  [396] = {.lex_state = 34},
  [397] = {.lex_state = 34},
  [398] = {.lex_state = 34},
  [399] = {.lex_state = 34},
  [400] = {.lex_state = 34},
  [401] = {.lex_state = 34},
  [402] = {.lex_state = 34},
  [403] = {.lex_state = 34},
  [404] = {.lex_state = 34},
  [405] = {.lex_state = 34},
  [406] = {.lex_state = 34},
  [407] = {.lex_state = 34},
  [408] = {.lex_state = 34},
  [409] = {.lex_state = 34},
  [410] = {.lex_state = 34},
  [411] = {.lex_state = 34},
  [412] = {.lex_state = 34},
  [413] = {.lex_state = 34},
  [414] = {.lex_state = 34},
  [415] = {.lex_state = 34},
  [416] = {.lex_state = 34},
  [417] = {.lex_state = 34},
  [418] = {.lex_state = 34},
  [419] = {.lex_state = 34},
  [420] = {.lex_state = 34},
  [421] = {.lex_state = 34},
  [422] = {.lex_state = 34},
  [423] = {.lex_state = 34},
  [424] = {.lex_state = 34},
  [425] = {.lex_state = 34},
  [426] = {.lex_state = 34},
  [427] = {.lex_state = 34},
  [428] = {.lex_state = 34},
  [429] = {.lex_state = 34},
  [430] = {.lex_state = 34},
  [431] = {.lex_state = 34},
  [432] = {.lex_state = 34},
  [433] = {.lex_state = 34},
  [434] = {.lex_state = 34},
  [435] = {.lex_state = 34},
  [436] = {.lex_state = 34},
  [437] = {.lex_state = 34},
  [438] = {.lex_state = 34},
  [439] = {.lex_state = 34},
  [440] = {.lex_state = 34},
  [441] = {.lex_state = 34},
  [442] = {.lex_state = 34},
  [443] = {.lex_state = 34},
  [444] = {.lex_state = 34},
  [445] = {.lex_state = 34},
  [446] = {.lex_state = 34},
  [447] = {.lex_state = 34},
  [448] = {.lex_state = 34},
  [449] = {.lex_state = 34},
  [450] = {.lex_state = 34},
  [451] = {.lex_state = 34},
  [452] = {.lex_state = 34},
  [453] = {.lex_state = 34},
  [454] = {.lex_state = 34},
  [455] = {.lex_state = 34},
  [456] = {.lex_state = 34},
  [457] = {.lex_state = 34},
  [458] = {.lex_state = 34},
  [459] = {.lex_state = 34},
  [460] = {.lex_state = 34},
  [461] = {.lex_state = 34},
  [462] = {.lex_state = 34},
  [463] = {.lex_state = 34},
  [464] = {.lex_state = 34},
  [465] = {.lex_state = 34},
  [466] = {.lex_state = 34},
  [467] = {.lex_state = 34},
  [468] = {.lex_state = 34},
  [469] = {.lex_state = 34},
  [470] = {.lex_state = 34},
  [471] = {.lex_state = 34},
  [472] = {.lex_state = 34},
  [473] = {.lex_state = 34},
  [474] = {.lex_state = 34},
  [475] = {.lex_state = 34},
  [476] = {.lex_state = 34},
  [477] = {.lex_state = 34},
  [478] = {.lex_state = 34},
  [479] = {.lex_state = 34},
  [480] = {.lex_state = 34},
  [481] = {.lex_state = 34},
  [482] = {.lex_state = 34},
  [483] = {.lex_state = 34},
  [484] = {.lex_state = 34},
  [485] = {.lex_state = 34},
  [486] = {.lex_state = 34},
  [487] = {.lex_state = 34},
  [488] = {.lex_state = 34},
  [489] = {.lex_state = 34},
  [490] = {.lex_state = 34},
  [491] = {.lex_state = 34},
  [492] = {.lex_state = 34},
  [493] = {.lex_state = 34},
  [494] = {.lex_state = 34},
  [495] = {.lex_state = 34},
  [496] = {.lex_state = 34},
  [497] = {.lex_state = 8},
  [498] = {.lex_state = 34},
  [499] = {.lex_state = 34},
  [500] = {.lex_state = 34},
  [501] = {.lex_state = 34},
  [502] = {.lex_state = 34},
  [503] = {.lex_state = 34},
  [504] = {.lex_state = 34},
  [505] = {.lex_state = 34},
  [506] = {.lex_state = 34},
  [507] = {.lex_state = 34},
  [508] = {.lex_state = 34},
  [509] = {.lex_state = 34},
  [510] = {.lex_state = 34},
  [511] = {.lex_state = 34},
  [512] = {.lex_state = 34},
  [513] = {.lex_state = 34},
  [514] = {.lex_state = 34},
  [515] = {.lex_state = 34},
  [516] = {.lex_state = 34},
  [517] = {.lex_state = 34},
  [518] = {.lex_state = 34},
  [519] = {.lex_state = 34},
  [520] = {.lex_state = 34},
  [521] = {.lex_state = 34},
  [522] = {.lex_state = 34},
  [523] = {.lex_state = 34},
  [524] = {.lex_state = 34},
  [525] = {.lex_state = 34},
  [526] = {.lex_state = 34},
  [527] = {.lex_state = 34},
  [528] = {.lex_state = 34},
  [529] = {.lex_state = 34},
  [530] = {.lex_state = 34},
  [531] = {.lex_state = 34},
  [532] = {.lex_state = 34},
  [533] = {.lex_state = 34},
  [534] = {.lex_state = 34},
  [535] = {.lex_state = 34},
  [536] = {.lex_state = 34},
  [537] = {.lex_state = 34},
  [538] = {.lex_state = 34},
  [539] = {.lex_state = 34},
  [540] = {.lex_state = 34},
  [541] = {.lex_state = 34},
  [542] = {.lex_state = 34},
  [543] = {.lex_state = 34},
  [544] = {.lex_state = 34},
  [545] = {.lex_state = 34},
  [546] = {.lex_state = 34},
  [547] = {.lex_state = 34},
  [548] = {.lex_state = 34},
  [549] = {.lex_state = 34},
  [550] = {.lex_state = 34},
  [551] = {.lex_state = 34},
  [552] = {.lex_state = 34},
  [553] = {.lex_state = 34},
  [554] = {.lex_state = 34},
  [555] = {.lex_state = 34},
  [556] = {.lex_state = 34},
  [557] = {.lex_state = 34},
  [558] = {.lex_state = 34},
  [559] = {.lex_state = 34},
  [560] = {.lex_state = 34},
  [561] = {.lex_state = 34},
  [562] = {.lex_state = 34},
  [563] = {.lex_state = 34},
  [564] = {.lex_state = 34},
  [565] = {.lex_state = 34},
  [566] = {.lex_state = 34},
  [567] = {.lex_state = 34},
  [568] = {.lex_state = 34},
  [569] = {.lex_state = 34},
  [570] = {.lex_state = 34},
  [571] = {.lex_state = 34},
  [572] = {.lex_state = 34},
  [573] = {.lex_state = 34},
  [574] = {.lex_state = 34},
  [575] = {.lex_state = 34},
  [576] = {.lex_state = 34},
  [577] = {.lex_state = 34},
  [578] = {.lex_state = 34},
  [579] = {.lex_state = 34},
  [580] = {.lex_state = 34},
  [581] = {.lex_state = 34},
  [582] = {.lex_state = 34},
  [583] = {.lex_state = 34},
  [584] = {.lex_state = 34},
  [585] = {.lex_state = 34},
  [586] = {.lex_state = 34},
  [587] = {.lex_state = 34},
  [588] = {.lex_state = 34},
  [589] = {.lex_state = 34},
  [590] = {.lex_state = 34},
  [591] = {.lex_state = 34},
  [592] = {.lex_state = 34},
  [593] = {.lex_state = 34},
  [594] = {.lex_state = 34},
  [595] = {.lex_state = 34},
  [596] = {.lex_state = 34},
  [597] = {.lex_state = 34},
  [598] = {.lex_state = 34},
  [599] = {.lex_state = 34},
  [600] = {.lex_state = 34},
  [601] = {.lex_state = 34},
  [602] = {.lex_state = 34},
  [603] = {.lex_state = 34},
  [604] = {.lex_state = 34},
  [605] = {.lex_state = 34},
  [606] = {.lex_state = 34},
  [607] = {.lex_state = 34},
  [608] = {.lex_state = 34},
  [609] = {.lex_state = 34},
  [610] = {.lex_state = 34},
  [611] = {.lex_state = 34},
  [612] = {.lex_state = 34},
  [613] = {.lex_state = 34},
  [614] = {.lex_state = 34},
  [615] = {.lex_state = 34},
  [616] = {.lex_state = 34},
  [617] = {.lex_state = 34},
  [618] = {.lex_state = 34},
  [619] = {.lex_state = 34},
  [620] = {.lex_state = 34},
  [621] = {.lex_state = 34},
  [622] = {.lex_state = 34},
  [623] = {.lex_state = 34},
  [624] = {.lex_state = 34},
  [625] = {.lex_state = 34},
  [626] = {.lex_state = 34},
  [627] = {.lex_state = 34},
  [628] = {.lex_state = 34},
  [629] = {.lex_state = 34},
  [630] = {.lex_state = 34},
  [631] = {.lex_state = 34},
  [632] = {.lex_state = 34},
  [633] = {.lex_state = 34},
  [634] = {.lex_state = 34},
  [635] = {.lex_state = 34},
  [636] = {.lex_state = 34},
  [637] = {.lex_state = 34},
  [638] = {.lex_state = 34},
  [639] = {.lex_state = 34},
  [640] = {.lex_state = 34},
  [641] = {.lex_state = 34},
  [642] = {.lex_state = 34},
  [643] = {.lex_state = 34},
  [644] = {.lex_state = 34},
  [645] = {.lex_state = 34},
  [646] = {.lex_state = 34},
  [647] = {.lex_state = 34},
  [648] = {.lex_state = 34},
  [649] = {.lex_state = 34},
  [650] = {.lex_state = 34},
  [651] = {.lex_state = 34},
  [652] = {.lex_state = 34},
  [653] = {.lex_state = 34},
  [654] = {.lex_state = 34},
  [655] = {.lex_state = 34},
  [656] = {.lex_state = 34},
  [657] = {.lex_state = 34},
  [658] = {.lex_state = 34},
  [659] = {.lex_state = 34},
  [660] = {.lex_state = 34},
  [661] = {.lex_state = 34},
  [662] = {.lex_state = 34},
  [663] = {.lex_state = 34},
  [664] = {.lex_state = 34},
  [665] = {.lex_state = 34},
  [666] = {.lex_state = 34},
  [667] = {.lex_state = 34},
  [668] = {.lex_state = 34},
  [669] = {.lex_state = 34},
  [670] = {.lex_state = 34},
  [671] = {.lex_state = 34},
  [672] = {.lex_state = 34},
  [673] = {.lex_state = 34},
  [674] = {.lex_state = 34},
  [675] = {.lex_state = 34},
  [676] = {.lex_state = 34},
  [677] = {.lex_state = 34},
  [678] = {.lex_state = 34},
  [679] = {.lex_state = 34},
  [680] = {.lex_state = 34},
  [681] = {.lex_state = 34},
  [682] = {.lex_state = 34},
  [683] = {.lex_state = 34},
  [684] = {.lex_state = 34},
  [685] = {.lex_state = 34},
  [686] = {.lex_state = 34},
  [687] = {.lex_state = 34},
  [688] = {.lex_state = 34},
  [689] = {.lex_state = 34},
  [690] = {.lex_state = 34},
  [691] = {.lex_state = 34},
  [692] = {.lex_state = 34},
  [693] = {.lex_state = 34},
  [694] = {.lex_state = 34},
  [695] = {.lex_state = 34},
  [696] = {.lex_state = 34},
  [697] = {.lex_state = 34},
  [698] = {.lex_state = 34},
  [699] = {.lex_state = 34},
  [700] = {.lex_state = 34},
  [701] = {.lex_state = 34},
  [702] = {.lex_state = 34},
  [703] = {.lex_state = 34},
  [704] = {.lex_state = 4},
  [705] = {.lex_state = 7},
  [706] = {.lex_state = 4},
  [707] = {.lex_state = 4},
  [708] = {.lex_state = 7},
  [709] = {.lex_state = 4},
  [710] = {.lex_state = 7},
  [711] = {.lex_state = 4},
  [712] = {.lex_state = 4},
  [713] = {.lex_state = 4},
  [714] = {.lex_state = 4},
  [715] = {.lex_state = 4},
  [716] = {.lex_state = 4},
  [717] = {.lex_state = 4},
  [718] = {.lex_state = 4},
  [719] = {.lex_state = 4},
  [720] = {.lex_state = 4},
  [721] = {.lex_state = 4},
  [722] = {.lex_state = 4},
  [723] = {.lex_state = 4},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 4},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 7},
  [728] = {.lex_state = 4},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 4},
  [731] = {.lex_state = 4},
  [732] = {.lex_state = 4},
  [733] = {.lex_state = 4},
  [734] = {.lex_state = 4},
  [735] = {.lex_state = 4},
  [736] = {.lex_state = 4},
  [737] = {.lex_state = 4},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 4},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 4},
  [742] = {.lex_state = 0},
  [743] = {.lex_state = 4},
  [744] = {.lex_state = 4},
  [745] = {.lex_state = 0},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 4},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 4},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 0},
  [754] = {.lex_state = 4},
  [755] = {.lex_state = 4},
  [756] = {.lex_state = 4},
  [757] = {.lex_state = 0},
  [758] = {.lex_state = 4},
  [759] = {.lex_state = 4},
  [760] = {.lex_state = 4},
  [761] = {.lex_state = 4},
  [762] = {.lex_state = 4},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 4},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 34},
  [767] = {.lex_state = 34},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 0},
  [770] = {.lex_state = 0},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 34},
  [773] = {.lex_state = 0},
  [774] = {.lex_state = 0},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 0},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 0},
  [779] = {.lex_state = 0},
  [780] = {.lex_state = 4},
  [781] = {.lex_state = 0},
  [782] = {.lex_state = 0},
  [783] = {.lex_state = 0},
  [784] = {.lex_state = 4},
  [785] = {.lex_state = 34},
  [786] = {.lex_state = 0},
  [787] = {.lex_state = 0},
  [788] = {.lex_state = 0},
  [789] = {.lex_state = 0},
  [790] = {.lex_state = 0},
  [791] = {.lex_state = 0},
  [792] = {.lex_state = 0},
  [793] = {.lex_state = 4},
  [794] = {.lex_state = 0},
  [795] = {.lex_state = 0},
  [796] = {.lex_state = 0},
  [797] = {.lex_state = 134},
  [798] = {.lex_state = 4},
  [799] = {.lex_state = 34},
  [800] = {.lex_state = 0},
  [801] = {.lex_state = 34},
  [802] = {.lex_state = 0},
  [803] = {.lex_state = 0},
  [804] = {.lex_state = 0},
  [805] = {.lex_state = 0},
  [806] = {.lex_state = 0},
  [807] = {.lex_state = 0},
  [808] = {.lex_state = 0},
  [809] = {.lex_state = 0},
  [810] = {.lex_state = 0},
  [811] = {.lex_state = 0},
  [812] = {.lex_state = 0},
  [813] = {.lex_state = 0},
  [814] = {.lex_state = 4},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 34},
  [818] = {.lex_state = 4},
  [819] = {.lex_state = 0},
  [820] = {.lex_state = 0},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 134},
  [823] = {.lex_state = 0},
  [824] = {.lex_state = 4},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 134},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 4},
  [830] = {.lex_state = 4},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 4},
  [833] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_symbol] = ACTIONS(1),
    [anon_sym_ENTRY] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SECTIONS] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_SLASHDISCARD_SLASH] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_NOLOAD] = ACTIONS(1),
    [anon_sym_DSECT] = ACTIONS(1),
    [anon_sym_COPY] = ACTIONS(1),
    [anon_sym_INFO] = ACTIONS(1),
    [anon_sym_OVERLAY] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_NOCROSSREFS] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_ASSERT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_KEEP] = ACTIONS(1),
    [anon_sym_PROVIDE] = ACTIONS(1),
    [anon_sym_PROVIDE_HIDDEN] = ACTIONS(1),
    [anon_sym_MEMORY] = ACTIONS(1),
    [anon_sym_ORIGIN] = ACTIONS(1),
    [anon_sym_org] = ACTIONS(1),
    [anon_sym_o] = ACTIONS(1),
    [anon_sym_LENGTH] = ACTIONS(1),
    [anon_sym_len] = ACTIONS(1),
    [anon_sym_l] = ACTIONS(1),
    [aux_sym_attributes_token1] = ACTIONS(1),
    [anon_sym_PHDRS] = ACTIONS(1),
    [anon_sym_FILEHDR] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_linkerscript] = STATE(820),
    [sym_entry_command] = STATE(276),
    [sym__command] = STATE(278),
    [sym_sections_command] = STATE(278),
    [sym_assignment] = STATE(278),
    [sym_memory_command] = STATE(278),
    [sym_phdrs_command] = STATE(278),
    [aux_sym_linkerscript_repeat1] = STATE(278),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_symbol] = ACTIONS(7),
    [anon_sym_ENTRY] = ACTIONS(9),
    [anon_sym_SECTIONS] = ACTIONS(11),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_MEMORY] = ACTIONS(13),
    [anon_sym_PHDRS] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 16,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(21), 1,
      anon_sym_RPAREN,
    ACTIONS(27), 1,
      anon_sym_QMARK,
    ACTIONS(31), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(33), 1,
      anon_sym_AMP_AMP,
    ACTIONS(35), 1,
      anon_sym_PIPE,
    ACTIONS(37), 1,
      anon_sym_AMP,
    ACTIONS(45), 1,
      sym_comment,
    STATE(32), 1,
      sym_argument_list,
    ACTIONS(23), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(29), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(39), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(41), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(43), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(25), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(17), 8,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_BANG,
      anon_sym_TILDE,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [63] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      anon_sym_COLON,
    ACTIONS(55), 1,
      anon_sym_AT,
    ACTIONS(61), 1,
      anon_sym_DASH,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    STATE(56), 1,
      sym_expression,
    STATE(715), 1,
      sym_section_type,
    STATE(810), 1,
      sym__at,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
    ACTIONS(57), 9,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
  [124] = 16,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_QMARK,
    ACTIONS(31), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(33), 1,
      anon_sym_AMP_AMP,
    ACTIONS(35), 1,
      anon_sym_PIPE,
    ACTIONS(37), 1,
      anon_sym_AMP,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_RPAREN,
    STATE(32), 1,
      sym_argument_list,
    ACTIONS(23), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(29), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(39), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(41), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(43), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(25), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(67), 8,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_BANG,
      anon_sym_TILDE,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [187] = 5,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      sym_comment,
    STATE(32), 1,
      sym_argument_list,
    ACTIONS(73), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(71), 22,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [228] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      sym_comment,
    STATE(32), 1,
      sym_argument_list,
    ACTIONS(29), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(77), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(75), 17,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [273] = 11,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(77), 1,
      anon_sym_RPAREN,
    STATE(32), 1,
      sym_argument_list,
    ACTIONS(23), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(29), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(39), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(41), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(43), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(25), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(75), 13,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [326] = 12,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_AMP,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(77), 1,
      anon_sym_RPAREN,
    STATE(32), 1,
      sym_argument_list,
    ACTIONS(23), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(29), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(39), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(41), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(43), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(25), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(75), 12,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [381] = 14,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_AMP_AMP,
    ACTIONS(35), 1,
      anon_sym_PIPE,
    ACTIONS(37), 1,
      anon_sym_AMP,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(77), 1,
      anon_sym_RPAREN,
    STATE(32), 1,
      sym_argument_list,
    ACTIONS(23), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(29), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(39), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(41), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(43), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(25), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(75), 10,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [440] = 8,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      sym_comment,
    STATE(32), 1,
      sym_argument_list,
    ACTIONS(29), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(43), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(25), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(77), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(75), 15,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [487] = 5,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      sym_comment,
    STATE(32), 1,
      sym_argument_list,
    ACTIONS(77), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(75), 22,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [528] = 6,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      sym_comment,
    STATE(32), 1,
      sym_argument_list,
    ACTIONS(25), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(77), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(75), 19,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [571] = 13,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_PIPE,
    ACTIONS(37), 1,
      anon_sym_AMP,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(77), 1,
      anon_sym_RPAREN,
    STATE(32), 1,
      sym_argument_list,
    ACTIONS(23), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(29), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(39), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(41), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(43), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(25), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(75), 11,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [628] = 10,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      sym_comment,
    STATE(32), 1,
      sym_argument_list,
    ACTIONS(23), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(29), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(41), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(43), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(25), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(77), 3,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(75), 13,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [679] = 16,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_QMARK,
    ACTIONS(31), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(33), 1,
      anon_sym_AMP_AMP,
    ACTIONS(35), 1,
      anon_sym_PIPE,
    ACTIONS(37), 1,
      anon_sym_AMP,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_RPAREN,
    STATE(32), 1,
      sym_argument_list,
    ACTIONS(23), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(29), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(39), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(41), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(43), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(25), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(79), 8,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_BANG,
      anon_sym_TILDE,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [742] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(75), 6,
      anon_sym_AT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(77), 13,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(71), 7,
      anon_sym_AT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(73), 19,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [830] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(75), 6,
      anon_sym_AT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(77), 17,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [874] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(75), 2,
      anon_sym_AT,
      sym_symbol,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(77), 8,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
  [934] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(75), 2,
      anon_sym_AT,
      sym_symbol,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(77), 9,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [992] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(99), 1,
      anon_sym_AMP,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(75), 3,
      anon_sym_AT,
      anon_sym_PIPE,
      sym_symbol,
    ACTIONS(77), 9,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [1048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(75), 7,
      anon_sym_AT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(77), 19,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1088] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(75), 4,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_symbol,
    ACTIONS(77), 11,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [1140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(75), 6,
      anon_sym_AT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(77), 15,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1186] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(75), 4,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_symbol,
    ACTIONS(77), 9,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [1240] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(79), 2,
      anon_sym_AT,
      sym_symbol,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(81), 6,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [1304] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(17), 2,
      anon_sym_AT,
      sym_symbol,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(21), 6,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [1368] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(111), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(109), 22,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [1404] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(115), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(113), 22,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [1440] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(119), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(117), 22,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [1476] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(123), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(121), 22,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [1512] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(127), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(125), 22,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [1548] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(131), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(129), 22,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [1584] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(135), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(133), 22,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [1620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 7,
      anon_sym_AT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(111), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 7,
      anon_sym_AT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(131), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 7,
      anon_sym_AT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(135), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 7,
      anon_sym_AT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(119), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(113), 7,
      anon_sym_AT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(115), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 7,
      anon_sym_AT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(123), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 7,
      anon_sym_AT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(127), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1865] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_SLASH,
    ACTIONS(147), 1,
      anon_sym_PIPE,
    ACTIONS(149), 1,
      anon_sym_AMP,
    STATE(59), 1,
      sym_argument_list,
    ACTIONS(139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(155), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(75), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
    ACTIONS(77), 5,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [1921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_LPAREN,
    STATE(59), 1,
      sym_argument_list,
    ACTIONS(71), 9,
      anon_sym_GT,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(73), 15,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1959] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_SLASH,
    ACTIONS(147), 1,
      anon_sym_PIPE,
    ACTIONS(149), 1,
      anon_sym_AMP,
    ACTIONS(161), 1,
      anon_sym_QMARK,
    ACTIONS(163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(165), 1,
      anon_sym_AMP_AMP,
    STATE(59), 1,
      sym_argument_list,
    ACTIONS(139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(155), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(159), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(157), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [2021] = 15,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(167), 1,
      sym_symbol,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    ACTIONS(171), 1,
      anon_sym_RPAREN,
    ACTIONS(175), 1,
      anon_sym_LBRACK,
    ACTIONS(177), 1,
      anon_sym_STAR,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      sym_filename,
    STATE(66), 1,
      sym_expression,
    STATE(724), 1,
      sym_input_section,
    STATE(750), 1,
      sym_wildcard_pattern,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_number,
    ACTIONS(61), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    ACTIONS(173), 5,
      anon_sym_NOLOAD,
      anon_sym_DSECT,
      anon_sym_COPY,
      anon_sym_INFO,
      anon_sym_OVERLAY,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [2079] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_SLASH,
    ACTIONS(147), 1,
      anon_sym_PIPE,
    ACTIONS(149), 1,
      anon_sym_AMP,
    ACTIONS(161), 1,
      anon_sym_QMARK,
    ACTIONS(163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(165), 1,
      anon_sym_AMP_AMP,
    STATE(59), 1,
      sym_argument_list,
    ACTIONS(81), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(155), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(79), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [2141] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_SLASH,
    STATE(59), 1,
      sym_argument_list,
    ACTIONS(141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(75), 8,
      anon_sym_GT,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(77), 11,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2185] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_SLASH,
    STATE(59), 1,
      sym_argument_list,
    ACTIONS(141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(155), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(75), 8,
      anon_sym_GT,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(77), 9,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [2231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_LPAREN,
    STATE(59), 1,
      sym_argument_list,
    ACTIONS(75), 9,
      anon_sym_GT,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(77), 15,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2269] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_SLASH,
    STATE(59), 1,
      sym_argument_list,
    ACTIONS(141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(75), 8,
      anon_sym_GT,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(77), 13,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2311] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_SLASH,
    ACTIONS(147), 1,
      anon_sym_PIPE,
    ACTIONS(149), 1,
      anon_sym_AMP,
    ACTIONS(165), 1,
      anon_sym_AMP_AMP,
    STATE(59), 1,
      sym_argument_list,
    ACTIONS(139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(155), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(75), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
    ACTIONS(77), 4,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
  [2369] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_SLASH,
    STATE(59), 1,
      sym_argument_list,
    ACTIONS(139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(155), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(77), 5,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(75), 6,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_symbol,
  [2421] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_SLASH,
    ACTIONS(149), 1,
      anon_sym_AMP,
    STATE(59), 1,
      sym_argument_list,
    ACTIONS(139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(155), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(75), 5,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_PIPE,
      sym_symbol,
    ACTIONS(77), 5,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [2475] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_SLASH,
    STATE(59), 1,
      sym_argument_list,
    ACTIONS(139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(155), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(75), 6,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_symbol,
    ACTIONS(77), 7,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [2525] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_SLASH,
    ACTIONS(147), 1,
      anon_sym_PIPE,
    ACTIONS(149), 1,
      anon_sym_AMP,
    ACTIONS(161), 1,
      anon_sym_QMARK,
    ACTIONS(163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(165), 1,
      anon_sym_AMP_AMP,
    STATE(59), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(155), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(17), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [2587] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACE,
    ACTIONS(187), 1,
      anon_sym_COLON,
    ACTIONS(189), 1,
      anon_sym_AT,
    STATE(41), 1,
      sym_argument_list,
    STATE(717), 1,
      sym_section_type,
    STATE(782), 1,
      sym__at,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [2654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 9,
      anon_sym_GT,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(111), 16,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2687] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_COLON,
    STATE(41), 1,
      sym_argument_list,
    STATE(718), 1,
      sym_section_type,
    STATE(765), 1,
      sym__at,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [2754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 9,
      anon_sym_GT,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(127), 16,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 9,
      anon_sym_GT,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(119), 16,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 9,
      anon_sym_GT,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(123), 16,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(113), 9,
      anon_sym_GT,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(115), 16,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 9,
      anon_sym_GT,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(131), 16,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 9,
      anon_sym_GT,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      sym_symbol,
    ACTIONS(135), 16,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2952] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(195), 1,
      anon_sym_RPAREN,
    ACTIONS(197), 1,
      anon_sym_COMMA,
    STATE(41), 1,
      sym_argument_list,
    STATE(729), 1,
      aux_sym_assert_command_repeat1,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3013] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(199), 1,
      anon_sym_RPAREN,
    ACTIONS(201), 1,
      anon_sym_COMMA,
    STATE(41), 1,
      sym_argument_list,
    STATE(749), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3074] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(201), 1,
      anon_sym_COMMA,
    ACTIONS(203), 1,
      anon_sym_RPAREN,
    STATE(41), 1,
      sym_argument_list,
    STATE(748), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3135] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(201), 1,
      anon_sym_COMMA,
    ACTIONS(205), 1,
      anon_sym_RPAREN,
    STATE(41), 1,
      sym_argument_list,
    STATE(742), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3196] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(207), 2,
      anon_sym_RBRACE,
      sym_symbol,
  [3252] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(209), 2,
      anon_sym_RBRACE,
      sym_symbol,
  [3308] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(211), 2,
      anon_sym_RBRACE,
      sym_symbol,
  [3364] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(213), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [3420] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(215), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [3476] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(217), 1,
      anon_sym_SEMI,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3531] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(219), 1,
      anon_sym_COMMA,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(221), 1,
      anon_sym_LPAREN,
    ACTIONS(223), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(109), 5,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
    ACTIONS(111), 13,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3619] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(225), 1,
      anon_sym_COMMA,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3674] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(227), 1,
      anon_sym_COLON,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3729] = 13,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(233), 1,
      anon_sym_RPAREN,
    ACTIONS(235), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(243), 1,
      sym_filename,
    STATE(4), 1,
      sym_expression,
    STATE(84), 1,
      aux_sym_input_section_repeat1,
    STATE(260), 1,
      sym_wildcard_pattern,
    ACTIONS(229), 3,
      anon_sym_DOT,
      sym_number,
      sym_symbol,
    ACTIONS(239), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [3778] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(245), 1,
      anon_sym_COLON,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3833] = 14,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(167), 1,
      sym_symbol,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    ACTIONS(171), 1,
      anon_sym_RPAREN,
    ACTIONS(175), 1,
      anon_sym_LBRACK,
    ACTIONS(177), 1,
      anon_sym_STAR,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      sym_filename,
    STATE(66), 1,
      sym_expression,
    STATE(724), 1,
      sym_input_section,
    STATE(750), 1,
      sym_wildcard_pattern,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_number,
    ACTIONS(61), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [3884] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(247), 1,
      anon_sym_RPAREN,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3939] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(249), 1,
      anon_sym_RPAREN,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3994] = 13,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(254), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_RPAREN,
    ACTIONS(259), 1,
      anon_sym_LBRACK,
    ACTIONS(262), 1,
      anon_sym_STAR,
    ACTIONS(268), 1,
      anon_sym_DQUOTE,
    ACTIONS(271), 1,
      sym_filename,
    STATE(4), 1,
      sym_expression,
    STATE(84), 1,
      aux_sym_input_section_repeat1,
    STATE(260), 1,
      sym_wildcard_pattern,
    ACTIONS(251), 3,
      anon_sym_DOT,
      sym_number,
      sym_symbol,
    ACTIONS(265), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [4043] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(274), 1,
      anon_sym_SEMI,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [4098] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(276), 1,
      anon_sym_SEMI,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [4153] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(278), 1,
      anon_sym_RPAREN,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [4208] = 14,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(167), 1,
      sym_symbol,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    ACTIONS(175), 1,
      anon_sym_LBRACK,
    ACTIONS(177), 1,
      anon_sym_STAR,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      sym_filename,
    ACTIONS(280), 1,
      anon_sym_RPAREN,
    STATE(68), 1,
      sym_expression,
    STATE(740), 1,
      sym_input_section,
    STATE(750), 1,
      sym_wildcard_pattern,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_number,
    ACTIONS(61), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [4259] = 14,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(167), 1,
      sym_symbol,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    ACTIONS(175), 1,
      anon_sym_LBRACK,
    ACTIONS(177), 1,
      anon_sym_STAR,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      sym_filename,
    ACTIONS(282), 1,
      anon_sym_RPAREN,
    STATE(67), 1,
      sym_expression,
    STATE(746), 1,
      sym_input_section,
    STATE(750), 1,
      sym_wildcard_pattern,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_number,
    ACTIONS(61), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [4310] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [4365] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(286), 1,
      anon_sym_COLON,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [4420] = 13,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(243), 1,
      sym_filename,
    ACTIONS(288), 1,
      anon_sym_RPAREN,
    STATE(4), 1,
      sym_expression,
    STATE(84), 1,
      aux_sym_input_section_repeat1,
    STATE(260), 1,
      sym_wildcard_pattern,
    ACTIONS(229), 3,
      anon_sym_DOT,
      sym_number,
      sym_symbol,
    ACTIONS(239), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [4469] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(290), 1,
      anon_sym_RPAREN,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [4524] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(292), 1,
      anon_sym_RPAREN,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [4579] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_SLASH,
    ACTIONS(95), 1,
      anon_sym_AMP_AMP,
    ACTIONS(97), 1,
      anon_sym_PIPE,
    ACTIONS(99), 1,
      anon_sym_AMP,
    ACTIONS(105), 1,
      anon_sym_QMARK,
    ACTIONS(107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(294), 1,
      anon_sym_COLON,
    STATE(41), 1,
      sym_argument_list,
    ACTIONS(85), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(87), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(91), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(93), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(101), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(103), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [4634] = 5,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(298), 1,
      anon_sym_LPAREN,
    ACTIONS(223), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(296), 8,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_KEEP,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
      sym_symbol,
      sym_filename,
    ACTIONS(300), 9,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
  [4666] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(82), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    ACTIONS(173), 5,
      anon_sym_NOLOAD,
      anon_sym_DSECT,
      anon_sym_COPY,
      anon_sym_INFO,
      anon_sym_OVERLAY,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [4706] = 13,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(167), 1,
      sym_symbol,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    ACTIONS(175), 1,
      anon_sym_LBRACK,
    ACTIONS(177), 1,
      anon_sym_STAR,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      sym_filename,
    STATE(72), 1,
      sym_expression,
    STATE(750), 1,
      sym_wildcard_pattern,
    STATE(763), 1,
      sym_input_section,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_number,
    ACTIONS(61), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [4754] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(243), 1,
      sym_filename,
    STATE(4), 1,
      sym_expression,
    STATE(79), 1,
      aux_sym_input_section_repeat1,
    STATE(260), 1,
      sym_wildcard_pattern,
    ACTIONS(229), 3,
      anon_sym_DOT,
      sym_number,
      sym_symbol,
    ACTIONS(239), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [4800] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_AT,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(302), 1,
      anon_sym_LBRACE,
    ACTIONS(304), 1,
      anon_sym_COLON,
    STATE(58), 1,
      sym_expression,
    STATE(720), 1,
      sym_section_type,
    STATE(807), 1,
      sym__at,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [4848] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(243), 1,
      sym_filename,
    STATE(4), 1,
      sym_expression,
    STATE(92), 1,
      aux_sym_input_section_repeat1,
    STATE(260), 1,
      sym_wildcard_pattern,
    ACTIONS(229), 3,
      anon_sym_DOT,
      sym_number,
      sym_symbol,
    ACTIONS(239), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [4894] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    ACTIONS(306), 1,
      anon_sym_COLON,
    STATE(78), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [4930] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_COLON,
    STATE(80), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [4966] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_COLON,
    STATE(91), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [5002] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    ACTIONS(312), 1,
      anon_sym_COLON,
    STATE(95), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [5038] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(83), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [5071] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(82), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [5104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(17), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [5137] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(26), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [5170] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(314), 1,
      sym_symbol,
    ACTIONS(317), 1,
      anon_sym_RBRACE,
    ACTIONS(319), 1,
      anon_sym_LBRACK,
    ACTIONS(322), 1,
      anon_sym_STAR,
    ACTIONS(325), 1,
      anon_sym_DOT,
    ACTIONS(328), 1,
      anon_sym_KEEP,
    ACTIONS(334), 1,
      sym_filename,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(331), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5211] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(339), 1,
      anon_sym_RBRACE,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5252] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(353), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5293] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(355), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5334] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(73), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [5367] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(357), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5408] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(359), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5449] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(361), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5490] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [5523] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(75), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [5556] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      sym_number,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(44), 1,
      sym_expression,
    ACTIONS(363), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(367), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(57), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [5589] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(373), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5630] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(375), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5671] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(377), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5712] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(379), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5753] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(381), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5794] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(383), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5835] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(385), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5876] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(387), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5917] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(389), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5958] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(391), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [5999] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(90), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6032] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(94), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6065] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(65), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6098] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(393), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [6139] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(395), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [6180] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(397), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [6221] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(399), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [6262] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(401), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [6303] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(403), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [6344] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(405), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [6385] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(407), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [6426] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(409), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [6467] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(411), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [6508] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(77), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6541] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(70), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6574] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(71), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6607] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6640] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(415), 1,
      sym_number,
    ACTIONS(417), 1,
      anon_sym_DQUOTE,
    STATE(5), 1,
      sym_expression,
    ACTIONS(229), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(413), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6673] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(85), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6706] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(93), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6739] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(415), 1,
      sym_number,
    ACTIONS(417), 1,
      anon_sym_DQUOTE,
    STATE(11), 1,
      sym_expression,
    ACTIONS(229), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(413), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6772] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(415), 1,
      sym_number,
    ACTIONS(417), 1,
      anon_sym_DQUOTE,
    STATE(12), 1,
      sym_expression,
    ACTIONS(229), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(413), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6805] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(415), 1,
      sym_number,
    ACTIONS(417), 1,
      anon_sym_DQUOTE,
    STATE(9), 1,
      sym_expression,
    ACTIONS(229), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(413), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6838] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(415), 1,
      sym_number,
    ACTIONS(417), 1,
      anon_sym_DQUOTE,
    STATE(13), 1,
      sym_expression,
    ACTIONS(229), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(413), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6871] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(415), 1,
      sym_number,
    ACTIONS(417), 1,
      anon_sym_DQUOTE,
    STATE(8), 1,
      sym_expression,
    ACTIONS(229), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(413), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6904] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(415), 1,
      sym_number,
    ACTIONS(417), 1,
      anon_sym_DQUOTE,
    STATE(7), 1,
      sym_expression,
    ACTIONS(229), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(413), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6937] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(415), 1,
      sym_number,
    ACTIONS(417), 1,
      anon_sym_DQUOTE,
    STATE(14), 1,
      sym_expression,
    ACTIONS(229), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(413), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [6970] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(415), 1,
      sym_number,
    ACTIONS(417), 1,
      anon_sym_DQUOTE,
    STATE(6), 1,
      sym_expression,
    ACTIONS(229), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(413), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7003] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(16), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7036] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(22), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7069] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(415), 1,
      sym_number,
    ACTIONS(417), 1,
      anon_sym_DQUOTE,
    STATE(15), 1,
      sym_expression,
    ACTIONS(229), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(413), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7102] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(18), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7135] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(19), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7168] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(20), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7201] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(21), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7234] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(25), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7267] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(23), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7300] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(24), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7333] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(415), 1,
      sym_number,
    ACTIONS(417), 1,
      anon_sym_DQUOTE,
    STATE(2), 1,
      sym_expression,
    ACTIONS(229), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(413), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7366] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      sym_number,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(43), 1,
      sym_expression,
    ACTIONS(363), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(367), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(57), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7399] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      sym_number,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(48), 1,
      sym_expression,
    ACTIONS(363), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(367), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(57), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7432] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      sym_number,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(49), 1,
      sym_expression,
    ACTIONS(363), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(367), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(57), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7465] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      sym_number,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(50), 1,
      sym_expression,
    ACTIONS(363), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(367), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(57), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7498] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      sym_number,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(51), 1,
      sym_expression,
    ACTIONS(363), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(367), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(57), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7531] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      sym_number,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(42), 1,
      sym_expression,
    ACTIONS(363), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(367), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(57), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7564] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      sym_number,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(53), 1,
      sym_expression,
    ACTIONS(363), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(367), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(57), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7597] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      sym_number,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(52), 1,
      sym_expression,
    ACTIONS(363), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(367), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(57), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7630] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      sym_number,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(54), 1,
      sym_expression,
    ACTIONS(363), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(367), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(57), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7663] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      sym_number,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(47), 1,
      sym_expression,
    ACTIONS(363), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(367), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(57), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7696] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      sym_number,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(46), 1,
      sym_expression,
    ACTIONS(363), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(367), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(57), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7729] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(419), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [7770] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      sym_number,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(55), 1,
      sym_expression,
    ACTIONS(363), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(367), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(57), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7803] = 12,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    ACTIONS(421), 1,
      anon_sym_RBRACE,
    STATE(110), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [7844] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(86), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7877] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(87), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7910] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_number,
    ACTIONS(65), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LPAREN,
    STATE(74), 1,
      sym_expression,
    ACTIONS(47), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(59), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(35), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7943] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(415), 1,
      sym_number,
    ACTIONS(417), 1,
      anon_sym_DQUOTE,
    STATE(10), 1,
      sym_expression,
    ACTIONS(229), 2,
      anon_sym_DOT,
      sym_symbol,
    ACTIONS(413), 3,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
    STATE(28), 6,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_quoted_symbol,
  [7976] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(181), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [8014] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(293), 1,
      sym_region,
    STATE(357), 1,
      sym_lma_region,
    STATE(466), 1,
      sym_phdr,
    STATE(638), 1,
      sym_fillexp,
    ACTIONS(425), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(423), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [8052] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(117), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [8090] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(301), 1,
      sym_region,
    STATE(367), 1,
      sym_lma_region,
    STATE(388), 1,
      sym_phdr,
    STATE(681), 1,
      sym_fillexp,
    ACTIONS(437), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(435), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [8128] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(134), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [8166] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(306), 1,
      sym_region,
    STATE(377), 1,
      sym_lma_region,
    STATE(490), 1,
      sym_phdr,
    STATE(697), 1,
      sym_fillexp,
    ACTIONS(441), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(439), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [8204] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(135), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [8242] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(136), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [8280] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(137), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [8318] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(255), 1,
      sym_region,
    STATE(371), 1,
      sym_lma_region,
    STATE(483), 1,
      sym_phdr,
    STATE(537), 1,
      sym_fillexp,
    ACTIONS(445), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(443), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [8356] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(257), 1,
      sym_region,
    STATE(324), 1,
      sym_lma_region,
    STATE(417), 1,
      sym_phdr,
    STATE(554), 1,
      sym_fillexp,
    ACTIONS(449), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(447), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [8394] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(138), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [8432] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(259), 1,
      sym_region,
    STATE(368), 1,
      sym_lma_region,
    STATE(391), 1,
      sym_phdr,
    STATE(569), 1,
      sym_fillexp,
    ACTIONS(453), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(451), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [8470] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(139), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [8508] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(140), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [8546] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(141), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [8584] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(183), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [8622] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(262), 1,
      sym_region,
    STATE(342), 1,
      sym_lma_region,
    STATE(495), 1,
      sym_phdr,
    STATE(649), 1,
      sym_fillexp,
    ACTIONS(457), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(455), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [8660] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(263), 1,
      sym_region,
    STATE(335), 1,
      sym_lma_region,
    STATE(467), 1,
      sym_phdr,
    STATE(616), 1,
      sym_fillexp,
    ACTIONS(461), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(459), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [8698] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(264), 1,
      sym_region,
    STATE(364), 1,
      sym_lma_region,
    STATE(434), 1,
      sym_phdr,
    STATE(687), 1,
      sym_fillexp,
    ACTIONS(457), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(455), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [8736] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(265), 1,
      sym_region,
    STATE(365), 1,
      sym_lma_region,
    STATE(463), 1,
      sym_phdr,
    STATE(690), 1,
      sym_fillexp,
    ACTIONS(465), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(463), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [8774] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(266), 1,
      sym_region,
    STATE(380), 1,
      sym_lma_region,
    STATE(481), 1,
      sym_phdr,
    STATE(702), 1,
      sym_fillexp,
    ACTIONS(469), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(467), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [8812] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(142), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [8850] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(272), 1,
      sym_region,
    STATE(358), 1,
      sym_lma_region,
    STATE(469), 1,
      sym_phdr,
    STATE(536), 1,
      sym_fillexp,
    ACTIONS(473), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(471), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [8888] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(115), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [8926] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(274), 1,
      sym_region,
    STATE(362), 1,
      sym_lma_region,
    STATE(491), 1,
      sym_phdr,
    STATE(555), 1,
      sym_fillexp,
    ACTIONS(473), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(471), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [8964] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(275), 1,
      sym_region,
    STATE(363), 1,
      sym_lma_region,
    STATE(493), 1,
      sym_phdr,
    STATE(558), 1,
      sym_fillexp,
    ACTIONS(477), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(475), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9002] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(277), 1,
      sym_region,
    STATE(370), 1,
      sym_lma_region,
    STATE(395), 1,
      sym_phdr,
    STATE(573), 1,
      sym_fillexp,
    ACTIONS(481), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(479), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9040] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(143), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [9078] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(279), 1,
      sym_region,
    STATE(381), 1,
      sym_lma_region,
    STATE(429), 1,
      sym_phdr,
    STATE(618), 1,
      sym_fillexp,
    ACTIONS(485), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(483), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9116] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(280), 1,
      sym_region,
    STATE(375), 1,
      sym_lma_region,
    STATE(462), 1,
      sym_phdr,
    STATE(673), 1,
      sym_fillexp,
    ACTIONS(489), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(487), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9154] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(281), 1,
      sym_region,
    STATE(372), 1,
      sym_lma_region,
    STATE(440), 1,
      sym_phdr,
    STATE(646), 1,
      sym_fillexp,
    ACTIONS(493), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(491), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9192] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(282), 1,
      sym_region,
    STATE(320), 1,
      sym_lma_region,
    STATE(471), 1,
      sym_phdr,
    STATE(684), 1,
      sym_fillexp,
    ACTIONS(489), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(487), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9230] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(284), 1,
      sym_region,
    STATE(329), 1,
      sym_lma_region,
    STATE(494), 1,
      sym_phdr,
    STATE(513), 1,
      sym_fillexp,
    ACTIONS(497), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(495), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9268] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(285), 1,
      sym_region,
    STATE(333), 1,
      sym_lma_region,
    STATE(394), 1,
      sym_phdr,
    STATE(524), 1,
      sym_fillexp,
    ACTIONS(501), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(499), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9306] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(286), 1,
      sym_region,
    STATE(331), 1,
      sym_lma_region,
    STATE(390), 1,
      sym_phdr,
    STATE(521), 1,
      sym_fillexp,
    ACTIONS(505), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(503), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9344] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(287), 1,
      sym_region,
    STATE(337), 1,
      sym_lma_region,
    STATE(401), 1,
      sym_phdr,
    STATE(531), 1,
      sym_fillexp,
    ACTIONS(501), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(499), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9382] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(261), 1,
      sym_region,
    STATE(360), 1,
      sym_lma_region,
    STATE(468), 1,
      sym_phdr,
    STATE(657), 1,
      sym_fillexp,
    ACTIONS(509), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(507), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9420] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(288), 1,
      sym_region,
    STATE(343), 1,
      sym_lma_region,
    STATE(418), 1,
      sym_phdr,
    STATE(556), 1,
      sym_fillexp,
    ACTIONS(513), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(511), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9458] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(289), 1,
      sym_region,
    STATE(315), 1,
      sym_lma_region,
    STATE(441), 1,
      sym_phdr,
    STATE(598), 1,
      sym_fillexp,
    ACTIONS(517), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(515), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9496] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(116), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [9534] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(121), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [9572] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(122), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [9610] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(123), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [9648] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(124), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [9686] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(125), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [9724] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(258), 1,
      sym_region,
    STATE(356), 1,
      sym_lma_region,
    STATE(406), 1,
      sym_phdr,
    STATE(699), 1,
      sym_fillexp,
    ACTIONS(521), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(519), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [9762] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(126), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [9800] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(127), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [9838] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(128), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [9876] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(129), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [9914] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(130), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [9952] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(111), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [9990] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(112), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [10028] = 11,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(337), 1,
      sym_symbol,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    ACTIONS(343), 1,
      anon_sym_STAR,
    ACTIONS(345), 1,
      anon_sym_DOT,
    ACTIONS(347), 1,
      anon_sym_KEEP,
    ACTIONS(351), 1,
      sym_filename,
    STATE(113), 1,
      aux_sym_output_section_repeat1,
    STATE(312), 1,
      sym_wildcard_pattern,
    ACTIONS(349), 2,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
    STATE(376), 4,
      sym_input_section,
      sym_assignment,
      sym_keep_command,
      sym_provide_command,
  [10066] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(273), 1,
      sym_region,
    STATE(355), 1,
      sym_lma_region,
    STATE(456), 1,
      sym_phdr,
    STATE(530), 1,
      sym_fillexp,
    ACTIONS(525), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(523), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10104] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(350), 1,
      sym_region,
    STATE(424), 1,
      sym_phdr,
    STATE(505), 1,
      sym_fillexp,
    ACTIONS(529), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(527), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10136] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(533), 1,
      anon_sym_RBRACE,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    STATE(291), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [10166] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(317), 1,
      sym_region,
    STATE(492), 1,
      sym_phdr,
    STATE(503), 1,
      sym_fillexp,
    ACTIONS(545), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(543), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10198] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(319), 1,
      sym_region,
    STATE(392), 1,
      sym_phdr,
    STATE(511), 1,
      sym_fillexp,
    ACTIONS(549), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(547), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10230] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(551), 1,
      anon_sym_RBRACE,
    STATE(291), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [10260] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(328), 1,
      sym_region,
    STATE(400), 1,
      sym_phdr,
    STATE(520), 1,
      sym_fillexp,
    ACTIONS(555), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(553), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10292] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(533), 1,
      anon_sym_RBRACE,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    STATE(251), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [10322] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(557), 1,
      anon_sym_RBRACE,
    STATE(291), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [10352] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(559), 1,
      anon_sym_RBRACE,
    STATE(270), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [10382] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(349), 1,
      sym_region,
    STATE(496), 1,
      sym_phdr,
    STATE(529), 1,
      sym_fillexp,
    ACTIONS(563), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(561), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10414] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(565), 1,
      anon_sym_RBRACE,
    STATE(291), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [10444] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(355), 1,
      sym_lma_region,
    STATE(456), 1,
      sym_phdr,
    STATE(530), 1,
      sym_fillexp,
    ACTIONS(525), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(523), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10476] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(567), 1,
      anon_sym_RBRACE,
    STATE(254), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [10506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(359), 1,
      sym_lma_region,
    STATE(474), 1,
      sym_phdr,
    STATE(541), 1,
      sym_fillexp,
    ACTIONS(571), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(569), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10538] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(371), 1,
      sym_lma_region,
    STATE(483), 1,
      sym_phdr,
    STATE(537), 1,
      sym_fillexp,
    ACTIONS(445), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(443), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10570] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(363), 1,
      sym_lma_region,
    STATE(493), 1,
      sym_phdr,
    STATE(558), 1,
      sym_fillexp,
    ACTIONS(477), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(475), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10602] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(69), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(67), 10,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [10622] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(357), 1,
      sym_lma_region,
    STATE(466), 1,
      sym_phdr,
    STATE(638), 1,
      sym_fillexp,
    ACTIONS(425), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(423), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10654] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(378), 1,
      sym_lma_region,
    STATE(411), 1,
      sym_phdr,
    STATE(595), 1,
      sym_fillexp,
    ACTIONS(575), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(573), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10686] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(379), 1,
      sym_lma_region,
    STATE(404), 1,
      sym_phdr,
    STATE(588), 1,
      sym_fillexp,
    ACTIONS(579), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(577), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10718] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(354), 1,
      sym_lma_region,
    STATE(438), 1,
      sym_phdr,
    STATE(632), 1,
      sym_fillexp,
    ACTIONS(575), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(573), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10750] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(372), 1,
      sym_lma_region,
    STATE(440), 1,
      sym_phdr,
    STATE(646), 1,
      sym_fillexp,
    ACTIONS(493), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(491), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10782] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(316), 1,
      sym_lma_region,
    STATE(464), 1,
      sym_phdr,
    STATE(676), 1,
      sym_fillexp,
    ACTIONS(583), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(581), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10814] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(321), 1,
      sym_region,
    STATE(475), 1,
      sym_phdr,
    STATE(691), 1,
      sym_fillexp,
    ACTIONS(587), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(585), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(322), 1,
      sym_region,
    STATE(477), 1,
      sym_phdr,
    STATE(696), 1,
      sym_fillexp,
    ACTIONS(591), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(589), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10878] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(323), 1,
      sym_region,
    STATE(480), 1,
      sym_phdr,
    STATE(700), 1,
      sym_fillexp,
    ACTIONS(595), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(593), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10910] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(597), 1,
      anon_sym_RBRACE,
    STATE(291), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [10940] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(325), 1,
      sym_region,
    STATE(484), 1,
      sym_phdr,
    STATE(501), 1,
      sym_fillexp,
    ACTIONS(601), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(599), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [10972] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(326), 1,
      sym_lma_region,
    STATE(487), 1,
      sym_phdr,
    STATE(504), 1,
      sym_fillexp,
    ACTIONS(605), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(603), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11004] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(327), 1,
      sym_lma_region,
    STATE(485), 1,
      sym_phdr,
    STATE(502), 1,
      sym_fillexp,
    ACTIONS(609), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(607), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11036] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(330), 1,
      sym_lma_region,
    STATE(442), 1,
      sym_phdr,
    STATE(516), 1,
      sym_fillexp,
    ACTIONS(605), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(603), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(331), 1,
      sym_lma_region,
    STATE(390), 1,
      sym_phdr,
    STATE(521), 1,
      sym_fillexp,
    ACTIONS(505), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(503), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11100] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_SECTIONS,
    ACTIONS(13), 1,
      anon_sym_MEMORY,
    ACTIONS(15), 1,
      anon_sym_PHDRS,
    ACTIONS(611), 1,
      ts_builtin_sym_end,
    ACTIONS(7), 2,
      anon_sym_DOT,
      sym_symbol,
    STATE(300), 6,
      sym__command,
      sym_sections_command,
      sym_assignment,
      sym_memory_command,
      sym_phdrs_command,
      aux_sym_linkerscript_repeat1,
  [11128] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(334), 1,
      sym_lma_region,
    STATE(396), 1,
      sym_phdr,
    STATE(525), 1,
      sym_fillexp,
    ACTIONS(615), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(613), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_SECTIONS,
    ACTIONS(13), 1,
      anon_sym_MEMORY,
    ACTIONS(15), 1,
      anon_sym_PHDRS,
    ACTIONS(611), 1,
      ts_builtin_sym_end,
    ACTIONS(7), 2,
      anon_sym_DOT,
      sym_symbol,
    STATE(307), 6,
      sym__command,
      sym_sections_command,
      sym_assignment,
      sym_memory_command,
      sym_phdrs_command,
      aux_sym_linkerscript_repeat1,
  [11188] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(339), 1,
      sym_lma_region,
    STATE(407), 1,
      sym_phdr,
    STATE(538), 1,
      sym_fillexp,
    ACTIONS(619), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(617), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11220] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(340), 1,
      sym_lma_region,
    STATE(412), 1,
      sym_phdr,
    STATE(548), 1,
      sym_fillexp,
    ACTIONS(623), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(621), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11252] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(341), 1,
      sym_lma_region,
    STATE(410), 1,
      sym_phdr,
    STATE(545), 1,
      sym_fillexp,
    ACTIONS(627), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(625), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11284] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(344), 1,
      sym_lma_region,
    STATE(419), 1,
      sym_phdr,
    STATE(557), 1,
      sym_fillexp,
    ACTIONS(623), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(621), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11316] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(345), 1,
      sym_region,
    STATE(425), 1,
      sym_phdr,
    STATE(571), 1,
      sym_fillexp,
    ACTIONS(631), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(629), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11348] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(346), 1,
      sym_lma_region,
    STATE(430), 1,
      sym_phdr,
    STATE(581), 1,
      sym_fillexp,
    ACTIONS(635), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(633), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11380] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(347), 1,
      sym_lma_region,
    STATE(435), 1,
      sym_phdr,
    STATE(589), 1,
      sym_fillexp,
    ACTIONS(639), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(637), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11412] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(348), 1,
      sym_lma_region,
    STATE(433), 1,
      sym_phdr,
    STATE(587), 1,
      sym_fillexp,
    ACTIONS(643), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(641), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11444] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(351), 1,
      sym_lma_region,
    STATE(443), 1,
      sym_phdr,
    STATE(600), 1,
      sym_fillexp,
    ACTIONS(639), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(637), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11476] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(352), 1,
      sym_lma_region,
    STATE(449), 1,
      sym_phdr,
    STATE(617), 1,
      sym_fillexp,
    ACTIONS(647), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(645), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11508] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(353), 1,
      sym_lma_region,
    STATE(457), 1,
      sym_phdr,
    STATE(645), 1,
      sym_fillexp,
    ACTIONS(651), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(649), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11540] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(653), 1,
      anon_sym_RBRACE,
    STATE(291), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [11570] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      sym_symbol,
    ACTIONS(658), 1,
      anon_sym_RBRACE,
    ACTIONS(660), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(663), 1,
      anon_sym_OVERLAY,
    ACTIONS(666), 1,
      anon_sym_DOT,
    ACTIONS(669), 1,
      anon_sym_ASSERT,
    STATE(291), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [11600] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    STATE(302), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [11630] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(335), 1,
      sym_lma_region,
    STATE(467), 1,
      sym_phdr,
    STATE(616), 1,
      sym_fillexp,
    ACTIONS(461), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(459), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11662] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(674), 1,
      anon_sym_RBRACE,
    STATE(248), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [11692] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(373), 1,
      sym_region,
    STATE(486), 1,
      sym_phdr,
    STATE(570), 1,
      sym_fillexp,
    ACTIONS(678), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(676), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11724] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(680), 1,
      anon_sym_RBRACE,
    STATE(291), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [11754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(680), 1,
      anon_sym_RBRACE,
    STATE(290), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [11784] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(682), 1,
      anon_sym_RBRACE,
    STATE(304), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [11814] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(684), 1,
      anon_sym_RBRACE,
    STATE(245), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [11844] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_SECTIONS,
    ACTIONS(13), 1,
      anon_sym_MEMORY,
    ACTIONS(15), 1,
      anon_sym_PHDRS,
    ACTIONS(686), 1,
      ts_builtin_sym_end,
    ACTIONS(7), 2,
      anon_sym_DOT,
      sym_symbol,
    STATE(307), 6,
      sym__command,
      sym_sections_command,
      sym_assignment,
      sym_memory_command,
      sym_phdrs_command,
      aux_sym_linkerscript_repeat1,
  [11872] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(382), 1,
      sym_lma_region,
    STATE(393), 1,
      sym_phdr,
    STATE(670), 1,
      sym_fillexp,
    ACTIONS(690), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(688), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11904] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(692), 1,
      anon_sym_RBRACE,
    STATE(291), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [11934] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(361), 1,
      sym_region,
    STATE(470), 1,
      sym_phdr,
    STATE(523), 1,
      sym_fillexp,
    ACTIONS(696), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(694), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [11966] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(698), 1,
      anon_sym_RBRACE,
    STATE(291), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [11996] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(702), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(700), 10,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [12016] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(429), 1,
      anon_sym_AT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(365), 1,
      sym_lma_region,
    STATE(463), 1,
      sym_phdr,
    STATE(690), 1,
      sym_fillexp,
    ACTIONS(465), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(463), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12048] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(704), 1,
      ts_builtin_sym_end,
    ACTIONS(709), 1,
      anon_sym_SECTIONS,
    ACTIONS(712), 1,
      anon_sym_MEMORY,
    ACTIONS(715), 1,
      anon_sym_PHDRS,
    ACTIONS(706), 2,
      anon_sym_DOT,
      sym_symbol,
    STATE(307), 6,
      sym__command,
      sym_sections_command,
      sym_assignment,
      sym_memory_command,
      sym_phdrs_command,
      aux_sym_linkerscript_repeat1,
  [12076] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(720), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(718), 10,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      sym_number,
      sym_symbol,
      anon_sym_DQUOTE,
      sym_filename,
  [12096] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(336), 1,
      sym_region,
    STATE(479), 1,
      sym_phdr,
    STATE(526), 1,
      sym_fillexp,
    ACTIONS(724), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(722), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12128] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_symbol,
    ACTIONS(535), 1,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(537), 1,
      anon_sym_OVERLAY,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(541), 1,
      anon_sym_ASSERT,
    ACTIONS(726), 1,
      anon_sym_RBRACE,
    STATE(296), 6,
      sym__output_section_command,
      sym_output_section,
      sym_overlay_command,
      sym_assignment,
      sym_assert_command,
      aux_sym_sections_command_repeat1,
  [12158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(431), 1,
      anon_sym_GT,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(332), 1,
      sym_region,
    STATE(402), 1,
      sym_phdr,
    STATE(522), 1,
      sym_fillexp,
    ACTIONS(730), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(728), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12190] = 4,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(298), 1,
      anon_sym_LPAREN,
    ACTIONS(223), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(296), 8,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_KEEP,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
      sym_symbol,
      sym_filename,
  [12211] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(720), 3,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(718), 8,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_KEEP,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
      sym_symbol,
      sym_filename,
  [12230] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(702), 3,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(700), 8,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_KEEP,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
      sym_symbol,
      sym_filename,
  [12249] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(458), 1,
      sym_phdr,
    STATE(647), 1,
      sym_fillexp,
    ACTIONS(651), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(649), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12275] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(414), 1,
      sym_phdr,
    STATE(551), 1,
      sym_fillexp,
    ACTIONS(734), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(732), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12301] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(472), 1,
      sym_phdr,
    STATE(686), 1,
      sym_fillexp,
    ACTIONS(738), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(736), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12327] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(742), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(740), 8,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_KEEP,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
      sym_symbol,
      sym_filename,
  [12345] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(473), 1,
      sym_phdr,
    STATE(688), 1,
      sym_fillexp,
    ACTIONS(587), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(585), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12371] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(420), 1,
      sym_phdr,
    STATE(559), 1,
      sym_fillexp,
    ACTIONS(623), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(621), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12397] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(421), 1,
      sym_phdr,
    STATE(563), 1,
      sym_fillexp,
    ACTIONS(746), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(744), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12423] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(422), 1,
      sym_phdr,
    STATE(566), 1,
      sym_fillexp,
    ACTIONS(750), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(748), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12449] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(423), 1,
      sym_phdr,
    STATE(567), 1,
      sym_fillexp,
    ACTIONS(631), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(629), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12475] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(478), 1,
      sym_phdr,
    STATE(546), 1,
      sym_fillexp,
    ACTIONS(571), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(569), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12501] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(426), 1,
      sym_phdr,
    STATE(574), 1,
      sym_fillexp,
    ACTIONS(754), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(752), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12527] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(427), 1,
      sym_phdr,
    STATE(577), 1,
      sym_fillexp,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(756), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12553] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(428), 1,
      sym_phdr,
    STATE(576), 1,
      sym_fillexp,
    ACTIONS(762), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(760), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12579] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(476), 1,
      sym_phdr,
    STATE(694), 1,
      sym_fillexp,
    ACTIONS(766), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(764), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(431), 1,
      sym_phdr,
    STATE(582), 1,
      sym_fillexp,
    ACTIONS(635), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(633), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12631] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(432), 1,
      sym_phdr,
    STATE(584), 1,
      sym_fillexp,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(756), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12657] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(433), 1,
      sym_phdr,
    STATE(587), 1,
      sym_fillexp,
    ACTIONS(643), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(641), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(477), 1,
      sym_phdr,
    STATE(696), 1,
      sym_fillexp,
    ACTIONS(591), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(589), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12709] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(436), 1,
      sym_phdr,
    STATE(590), 1,
      sym_fillexp,
    ACTIONS(639), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(637), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12735] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(437), 1,
      sym_phdr,
    STATE(592), 1,
      sym_fillexp,
    ACTIONS(770), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(768), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12761] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(404), 1,
      sym_phdr,
    STATE(588), 1,
      sym_fillexp,
    ACTIONS(579), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(577), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12787] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(402), 1,
      sym_phdr,
    STATE(522), 1,
      sym_fillexp,
    ACTIONS(730), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(728), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12813] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(444), 1,
      sym_phdr,
    STATE(602), 1,
      sym_fillexp,
    ACTIONS(639), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(637), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12839] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(774), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(772), 8,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_KEEP,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
      sym_symbol,
      sym_filename,
  [12857] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(445), 1,
      sym_phdr,
    STATE(607), 1,
      sym_fillexp,
    ACTIONS(778), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(776), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12883] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(446), 1,
      sym_phdr,
    STATE(612), 1,
      sym_fillexp,
    ACTIONS(782), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(780), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12909] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(447), 1,
      sym_phdr,
    STATE(611), 1,
      sym_fillexp,
    ACTIONS(786), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(784), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12935] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(415), 1,
      sym_phdr,
    STATE(596), 1,
      sym_fillexp,
    ACTIONS(575), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(573), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(450), 1,
      sym_phdr,
    STATE(619), 1,
      sym_fillexp,
    ACTIONS(647), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(645), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [12987] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(451), 1,
      sym_phdr,
    STATE(621), 1,
      sym_fillexp,
    ACTIONS(782), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(780), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13013] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(452), 1,
      sym_phdr,
    STATE(627), 1,
      sym_fillexp,
    ACTIONS(790), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(788), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13039] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(453), 1,
      sym_phdr,
    STATE(633), 1,
      sym_fillexp,
    ACTIONS(794), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(792), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13065] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_phdr,
    STATE(639), 1,
      sym_fillexp,
    ACTIONS(798), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(796), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13091] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(455), 1,
      sym_phdr,
    STATE(637), 1,
      sym_fillexp,
    ACTIONS(802), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(800), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13117] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(482), 1,
      sym_phdr,
    STATE(500), 1,
      sym_fillexp,
    ACTIONS(601), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(599), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13143] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(492), 1,
      sym_phdr,
    STATE(503), 1,
      sym_fillexp,
    ACTIONS(545), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(543), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13169] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(459), 1,
      sym_phdr,
    STATE(650), 1,
      sym_fillexp,
    ACTIONS(798), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(796), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13195] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(460), 1,
      sym_phdr,
    STATE(658), 1,
      sym_fillexp,
    ACTIONS(806), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(804), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(461), 1,
      sym_phdr,
    STATE(666), 1,
      sym_fillexp,
    ACTIONS(810), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(808), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13247] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(409), 1,
      sym_phdr,
    STATE(542), 1,
      sym_fillexp,
    ACTIONS(814), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(812), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13273] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(485), 1,
      sym_phdr,
    STATE(502), 1,
      sym_fillexp,
    ACTIONS(609), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(607), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13299] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(483), 1,
      sym_phdr,
    STATE(537), 1,
      sym_fillexp,
    ACTIONS(445), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(443), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13325] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(467), 1,
      sym_phdr,
    STATE(616), 1,
      sym_fillexp,
    ACTIONS(461), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(459), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13351] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(488), 1,
      sym_phdr,
    STATE(506), 1,
      sym_fillexp,
    ACTIONS(605), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(603), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13377] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(489), 1,
      sym_phdr,
    STATE(508), 1,
      sym_fillexp,
    ACTIONS(818), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(816), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13403] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(466), 1,
      sym_phdr,
    STATE(638), 1,
      sym_fillexp,
    ACTIONS(425), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(423), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13429] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(398), 1,
      sym_phdr,
    STATE(512), 1,
      sym_fillexp,
    ACTIONS(555), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(553), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13455] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(389), 1,
      sym_phdr,
    STATE(518), 1,
      sym_fillexp,
    ACTIONS(605), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(603), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13481] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(390), 1,
      sym_phdr,
    STATE(521), 1,
      sym_fillexp,
    ACTIONS(505), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(503), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13507] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(439), 1,
      sym_phdr,
    STATE(643), 1,
      sym_fillexp,
    ACTIONS(575), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(573), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13533] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(440), 1,
      sym_phdr,
    STATE(646), 1,
      sym_fillexp,
    ACTIONS(493), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(491), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13559] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(822), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(820), 8,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_KEEP,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
      sym_symbol,
      sym_filename,
  [13577] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(399), 1,
      sym_phdr,
    STATE(675), 1,
      sym_fillexp,
    ACTIONS(690), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(688), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13603] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(493), 1,
      sym_phdr,
    STATE(558), 1,
      sym_fillexp,
    ACTIONS(477), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(475), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13629] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(826), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(824), 8,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_KEEP,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
      sym_symbol,
      sym_filename,
  [13647] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(397), 1,
      sym_phdr,
    STATE(527), 1,
      sym_fillexp,
    ACTIONS(615), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(613), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13673] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(456), 1,
      sym_phdr,
    STATE(530), 1,
      sym_fillexp,
    ACTIONS(525), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(523), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13699] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(410), 1,
      sym_phdr,
    STATE(545), 1,
      sym_fillexp,
    ACTIONS(627), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(625), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13725] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(424), 1,
      sym_phdr,
    STATE(505), 1,
      sym_fillexp,
    ACTIONS(529), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(527), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13751] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(830), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(828), 8,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_KEEP,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
      sym_symbol,
      sym_filename,
  [13769] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(413), 1,
      sym_phdr,
    STATE(549), 1,
      sym_fillexp,
    ACTIONS(623), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(621), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13795] = 4,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_RBRACE,
    ACTIONS(836), 1,
      anon_sym_SEMI,
    ACTIONS(832), 8,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_KEEP,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
      sym_symbol,
      sym_filename,
  [13815] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(463), 1,
      sym_phdr,
    STATE(690), 1,
      sym_fillexp,
    ACTIONS(465), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(463), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13841] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(403), 1,
      sym_phdr,
    STATE(499), 1,
      sym_fillexp,
    ACTIONS(814), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(812), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13867] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(405), 1,
      sym_phdr,
    STATE(532), 1,
      sym_fillexp,
    ACTIONS(840), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(838), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13893] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(465), 1,
      sym_phdr,
    STATE(678), 1,
      sym_fillexp,
    ACTIONS(583), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(581), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13919] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(408), 1,
      sym_phdr,
    STATE(539), 1,
      sym_fillexp,
    ACTIONS(619), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(617), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13945] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_COLON,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(416), 1,
      sym_phdr,
    STATE(599), 1,
      sym_fillexp,
    ACTIONS(844), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(842), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [13971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(300), 9,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
  [13986] = 3,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(317), 1,
      anon_sym_RBRACE,
    ACTIONS(846), 8,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_KEEP,
      anon_sym_PROVIDE,
      anon_sym_PROVIDE_HIDDEN,
      sym_symbol,
      sym_filename,
  [14003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(848), 9,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
  [14018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 4,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(850), 5,
      anon_sym_AT,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 9,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
  [14050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(677), 1,
      sym_fillexp,
    ACTIONS(690), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(688), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_fillexp,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(756), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(587), 1,
      sym_fillexp,
    ACTIONS(643), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(641), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(558), 1,
      sym_fillexp,
    ACTIONS(477), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(475), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(689), 1,
      sym_fillexp,
    ACTIONS(587), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(585), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(601), 1,
      sym_fillexp,
    ACTIONS(844), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(842), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(591), 1,
      sym_fillexp,
    ACTIONS(639), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(637), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(528), 1,
      sym_fillexp,
    ACTIONS(615), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(613), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(593), 1,
      sym_fillexp,
    ACTIONS(770), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(768), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(594), 1,
      sym_fillexp,
    ACTIONS(770), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(768), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(693), 1,
      sym_fillexp,
    ACTIONS(766), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(764), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(606), 1,
      sym_fillexp,
    ACTIONS(844), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(842), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(695), 1,
      sym_fillexp,
    ACTIONS(766), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(764), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(603), 1,
      sym_fillexp,
    ACTIONS(639), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(637), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(696), 1,
      sym_fillexp,
    ACTIONS(591), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(589), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(604), 1,
      sym_fillexp,
    ACTIONS(856), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(854), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(532), 1,
      sym_fillexp,
    ACTIONS(840), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(838), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(605), 1,
      sym_fillexp,
    ACTIONS(860), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(858), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(537), 1,
      sym_fillexp,
    ACTIONS(445), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(443), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(608), 1,
      sym_fillexp,
    ACTIONS(778), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(776), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(609), 1,
      sym_fillexp,
    ACTIONS(778), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(776), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(610), 1,
      sym_fillexp,
    ACTIONS(856), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(854), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_fillexp,
    ACTIONS(786), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(784), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(533), 1,
      sym_fillexp,
    ACTIONS(814), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(812), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(613), 1,
      sym_fillexp,
    ACTIONS(782), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(780), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(614), 1,
      sym_fillexp,
    ACTIONS(782), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(780), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(615), 1,
      sym_fillexp,
    ACTIONS(864), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(862), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(534), 1,
      sym_fillexp,
    ACTIONS(814), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(812), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(535), 1,
      sym_fillexp,
    ACTIONS(868), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(866), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(547), 1,
      sym_fillexp,
    ACTIONS(571), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(569), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(620), 1,
      sym_fillexp,
    ACTIONS(647), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(645), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(622), 1,
      sym_fillexp,
    ACTIONS(782), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(780), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(623), 1,
      sym_fillexp,
    ACTIONS(782), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(780), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(624), 1,
      sym_fillexp,
    ACTIONS(872), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(870), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(625), 1,
      sym_fillexp,
    ACTIONS(876), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(874), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(626), 1,
      sym_fillexp,
    ACTIONS(790), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(788), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(503), 1,
      sym_fillexp,
    ACTIONS(545), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(543), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(628), 1,
      sym_fillexp,
    ACTIONS(790), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(788), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(629), 1,
      sym_fillexp,
    ACTIONS(880), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(878), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_fillexp,
    ACTIONS(884), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(882), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(631), 1,
      sym_fillexp,
    ACTIONS(888), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(886), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(540), 1,
      sym_fillexp,
    ACTIONS(619), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(617), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(634), 1,
      sym_fillexp,
    ACTIONS(794), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(792), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(635), 1,
      sym_fillexp,
    ACTIONS(794), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(792), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(636), 1,
      sym_fillexp,
    ACTIONS(884), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(882), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_fillexp,
    ACTIONS(802), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(800), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(644), 1,
      sym_fillexp,
    ACTIONS(575), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(573), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [14990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(640), 1,
      sym_fillexp,
    ACTIONS(798), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(796), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(641), 1,
      sym_fillexp,
    ACTIONS(798), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(796), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(642), 1,
      sym_fillexp,
    ACTIONS(892), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(890), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(543), 1,
      sym_fillexp,
    ACTIONS(814), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(812), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(544), 1,
      sym_fillexp,
    ACTIONS(814), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(812), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(545), 1,
      sym_fillexp,
    ACTIONS(627), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(625), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(648), 1,
      sym_fillexp,
    ACTIONS(651), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(649), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(585), 1,
      sym_fillexp,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(756), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(651), 1,
      sym_fillexp,
    ACTIONS(798), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(796), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(652), 1,
      sym_fillexp,
    ACTIONS(798), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(796), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(654), 1,
      sym_fillexp,
    ACTIONS(896), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(894), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(655), 1,
      sym_fillexp,
    ACTIONS(900), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(898), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_fillexp,
    ACTIONS(904), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(902), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(906), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
    ACTIONS(908), 4,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_COLON,
      anon_sym_EQ,
  [15266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(659), 1,
      sym_fillexp,
    ACTIONS(806), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(804), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(660), 1,
      sym_fillexp,
    ACTIONS(806), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(804), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(661), 1,
      sym_fillexp,
    ACTIONS(900), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(898), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(662), 1,
      sym_fillexp,
    ACTIONS(912), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(910), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(663), 1,
      sym_fillexp,
    ACTIONS(916), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(914), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(664), 1,
      sym_fillexp,
    ACTIONS(920), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(918), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(665), 1,
      sym_fillexp,
    ACTIONS(924), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(922), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(502), 1,
      sym_fillexp,
    ACTIONS(609), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(607), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(667), 1,
      sym_fillexp,
    ACTIONS(810), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(808), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(668), 1,
      sym_fillexp,
    ACTIONS(810), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(808), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(669), 1,
      sym_fillexp,
    ACTIONS(920), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(918), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(671), 1,
      sym_fillexp,
    ACTIONS(928), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(926), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(672), 1,
      sym_fillexp,
    ACTIONS(932), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(930), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_fillexp,
    ACTIONS(623), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(621), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(646), 1,
      sym_fillexp,
    ACTIONS(493), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(491), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(552), 1,
      sym_fillexp,
    ACTIONS(734), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(732), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(553), 1,
      sym_fillexp,
    ACTIONS(734), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(732), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(616), 1,
      sym_fillexp,
    ACTIONS(461), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(459), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(588), 1,
      sym_fillexp,
    ACTIONS(579), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(577), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(638), 1,
      sym_fillexp,
    ACTIONS(425), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(423), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(507), 1,
      sym_fillexp,
    ACTIONS(605), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(603), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(514), 1,
      sym_fillexp,
    ACTIONS(555), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(553), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(560), 1,
      sym_fillexp,
    ACTIONS(623), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(621), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(561), 1,
      sym_fillexp,
    ACTIONS(936), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(934), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(562), 1,
      sym_fillexp,
    ACTIONS(746), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(744), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(509), 1,
      sym_fillexp,
    ACTIONS(818), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(816), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(564), 1,
      sym_fillexp,
    ACTIONS(746), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(744), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(565), 1,
      sym_fillexp,
    ACTIONS(940), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(938), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(566), 1,
      sym_fillexp,
    ACTIONS(750), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(748), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(510), 1,
      sym_fillexp,
    ACTIONS(818), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(816), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(522), 1,
      sym_fillexp,
    ACTIONS(730), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(728), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(568), 1,
      sym_fillexp,
    ACTIONS(631), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(629), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(680), 1,
      sym_fillexp,
    ACTIONS(583), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(581), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(572), 1,
      sym_fillexp,
    ACTIONS(754), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(752), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(530), 1,
      sym_fillexp,
    ACTIONS(525), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(523), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(575), 1,
      sym_fillexp,
    ACTIONS(754), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(752), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [15986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(576), 1,
      sym_fillexp,
    ACTIONS(762), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(760), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(505), 1,
      sym_fillexp,
    ACTIONS(529), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(527), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_fillexp,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(756), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(579), 1,
      sym_fillexp,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(756), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(580), 1,
      sym_fillexp,
    ACTIONS(944), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(942), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(690), 1,
      sym_fillexp,
    ACTIONS(465), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(463), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(519), 1,
      sym_fillexp,
    ACTIONS(605), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(603), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(686), 1,
      sym_fillexp,
    ACTIONS(738), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(736), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(521), 1,
      sym_fillexp,
    ACTIONS(505), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(503), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(583), 1,
      sym_fillexp,
    ACTIONS(635), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(633), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(597), 1,
      sym_fillexp,
    ACTIONS(575), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(573), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_EQ,
    STATE(703), 1,
      sym_fillexp,
    ACTIONS(601), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(599), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16226] = 7,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(175), 1,
      anon_sym_LBRACK,
    ACTIONS(177), 1,
      anon_sym_STAR,
    ACTIONS(946), 1,
      anon_sym_RPAREN,
    STATE(750), 1,
      sym_wildcard_pattern,
    STATE(809), 1,
      sym_input_section,
    ACTIONS(181), 2,
      sym_symbol,
      sym_filename,
  [16249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(950), 3,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
      anon_sym_EQ,
    ACTIONS(948), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(854), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(752), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(752), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(760), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(738), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(736), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(756), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(543), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(756), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(756), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(942), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(942), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(942), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(587), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(585), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(764), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(633), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(764), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      ts_builtin_sym_end,
    ACTIONS(954), 5,
      anon_sym_SECTIONS,
      anon_sym_DOT,
      anon_sym_MEMORY,
      anon_sym_PHDRS,
      sym_symbol,
  [16502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(756), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(956), 1,
      ts_builtin_sym_end,
    ACTIONS(958), 5,
      anon_sym_SECTIONS,
      anon_sym_DOT,
      anon_sym_MEMORY,
      anon_sym_PHDRS,
      sym_symbol,
  [16530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(756), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(756), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(764), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(641), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(589), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(553), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(637), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(770), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(768), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(730), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(728), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(770), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(768), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(770), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(768), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(599), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(609), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(607), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(637), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(858), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(854), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(854), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(960), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(603), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(525), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(523), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(776), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(776), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(776), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(816), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(854), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(854), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(854), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(786), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(784), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(816), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(816), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(780), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(780), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(780), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [16992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(862), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(862), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(862), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(571), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(569), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(603), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(645), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(780), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(503), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(780), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(780), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(964), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(870), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(870), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(870), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(970), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(968), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(874), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(788), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(788), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(475), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(529), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(527), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(788), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(878), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(613), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(878), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(878), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(886), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(884), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(882), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(884), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(882), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(884), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(882), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(972), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(794), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(792), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(794), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(792), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(794), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(792), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(884), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(882), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(884), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(882), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(884), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(882), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(800), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(838), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(796), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(796), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(796), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(890), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(890), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(890), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(814), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(812), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(814), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(812), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(814), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(812), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(649), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(866), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(796), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(866), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(796), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(796), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(978), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(976), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(980), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(866), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(894), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(894), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(894), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(978), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(976), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(902), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(900), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(898), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(900), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(898), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(900), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(898), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(986), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(984), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(577), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(804), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(617), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(804), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(804), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(900), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(898), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [17986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(900), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(898), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(900), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(898), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(990), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(988), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(992), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(910), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(910), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(910), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(996), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1000), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1006), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1004), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(814), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(812), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(916), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(914), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(916), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(914), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(916), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(914), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1000), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(922), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(459), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(918), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(918), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(918), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1008), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(814), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(812), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(814), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(812), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(808), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(625), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(808), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(808), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(573), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(918), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(918), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(918), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1012), 1,
      ts_builtin_sym_end,
    ACTIONS(1014), 5,
      anon_sym_SECTIONS,
      anon_sym_DOT,
      anon_sym_MEMORY,
      anon_sym_PHDRS,
      sym_symbol,
  [18434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1016), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1020), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1024), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(423), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(928), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(926), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(928), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(926), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(928), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(926), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1020), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1028), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1032), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1038), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1036), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1042), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1040), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(932), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(930), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(932), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(930), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(932), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(930), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1038), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1036), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(842), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1044), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1048), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(623), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(621), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(822), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(820), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(842), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(732), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(842), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(732), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(822), 1,
      ts_builtin_sym_end,
    ACTIONS(820), 5,
      anon_sym_SECTIONS,
      anon_sym_DOT,
      anon_sym_MEMORY,
      anon_sym_PHDRS,
      sym_symbol,
  [18798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(732), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(688), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1054), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1052), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(1056), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(623), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(621), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1060), 1,
      ts_builtin_sym_end,
    ACTIONS(1062), 5,
      anon_sym_SECTIONS,
      anon_sym_DOT,
      anon_sym_MEMORY,
      anon_sym_PHDRS,
      sym_symbol,
  [18882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(936), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(934), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(573), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(744), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(744), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(491), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(744), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1064), 1,
      ts_builtin_sym_end,
    ACTIONS(1066), 5,
      anon_sym_SECTIONS,
      anon_sym_DOT,
      anon_sym_MEMORY,
      anon_sym_PHDRS,
      sym_symbol,
  [18980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(940), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(938), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [18994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(940), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(938), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [19008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(940), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(938), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [19022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(750), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(748), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [19036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(463), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [19050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1068), 1,
      ts_builtin_sym_end,
    ACTIONS(1070), 5,
      anon_sym_SECTIONS,
      anon_sym_DOT,
      anon_sym_MEMORY,
      anon_sym_PHDRS,
      sym_symbol,
  [19064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(443), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [19078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(629), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [19092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1072), 1,
      ts_builtin_sym_end,
    ACTIONS(1074), 5,
      anon_sym_SECTIONS,
      anon_sym_DOT,
      anon_sym_MEMORY,
      anon_sym_PHDRS,
      sym_symbol,
  [19106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(581), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [19120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 2,
      anon_sym_RBRACE,
      anon_sym_SLASHDISCARD_SLASH,
    ACTIONS(752), 4,
      anon_sym_OVERLAY,
      anon_sym_DOT,
      anon_sym_ASSERT,
      sym_symbol,
  [19134] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1076), 1,
      anon_sym_SEMI,
    ACTIONS(1078), 1,
      anon_sym_PHDRS,
    ACTIONS(1080), 1,
      anon_sym_FILEHDR,
    STATE(775), 1,
      sym__at,
  [19153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1084), 1,
      anon_sym_COLON,
    ACTIONS(1086), 1,
      aux_sym_attributes_token1,
    STATE(708), 1,
      aux_sym_attributes_repeat1,
    STATE(826), 1,
      sym_attributes,
  [19172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1088), 1,
      sym_symbol,
    ACTIONS(1090), 1,
      anon_sym_RBRACE,
    STATE(709), 1,
      aux_sym_memory_command_repeat1,
    STATE(754), 1,
      sym__memory,
  [19188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1092), 1,
      anon_sym_SEMI,
    ACTIONS(1094), 1,
      anon_sym_PHDRS,
    STATE(821), 1,
      sym__at,
  [19204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1098), 1,
      aux_sym_attributes_token1,
    STATE(710), 1,
      aux_sym_attributes_repeat1,
    ACTIONS(1096), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [19218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1088), 1,
      sym_symbol,
    ACTIONS(1100), 1,
      anon_sym_RBRACE,
    STATE(711), 1,
      aux_sym_memory_command_repeat1,
    STATE(754), 1,
      sym__memory,
  [19234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1104), 1,
      aux_sym_attributes_token1,
    STATE(710), 1,
      aux_sym_attributes_repeat1,
    ACTIONS(1102), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [19248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 1,
      sym_symbol,
    ACTIONS(1110), 1,
      anon_sym_RBRACE,
    STATE(711), 1,
      aux_sym_memory_command_repeat1,
    STATE(754), 1,
      sym__memory,
  [19264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1112), 1,
      anon_sym_LBRACE,
    ACTIONS(1114), 1,
      anon_sym_NOCROSSREFS,
    STATE(813), 1,
      sym__at,
  [19280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1116), 1,
      sym_symbol,
    ACTIONS(1118), 1,
      anon_sym_RBRACE,
    STATE(716), 1,
      aux_sym_phdrs_command_repeat1,
    STATE(760), 1,
      sym__phdr,
  [19296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      sym_symbol,
    ACTIONS(1123), 1,
      anon_sym_RBRACE,
    STATE(714), 1,
      aux_sym_phdrs_command_repeat1,
    STATE(760), 1,
      sym__phdr,
  [19312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1125), 1,
      anon_sym_LBRACE,
    ACTIONS(1127), 1,
      anon_sym_COLON,
    STATE(831), 1,
      sym__at,
  [19328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1116), 1,
      sym_symbol,
    ACTIONS(1129), 1,
      anon_sym_RBRACE,
    STATE(714), 1,
      aux_sym_phdrs_command_repeat1,
    STATE(760), 1,
      sym__phdr,
  [19344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1131), 1,
      anon_sym_LBRACE,
    ACTIONS(1133), 1,
      anon_sym_COLON,
    STATE(795), 1,
      sym__at,
  [19360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1135), 1,
      anon_sym_LBRACE,
    ACTIONS(1137), 1,
      anon_sym_COLON,
    STATE(789), 1,
      sym__at,
  [19376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1139), 1,
      anon_sym_LBRACE,
    ACTIONS(1141), 1,
      anon_sym_NOCROSSREFS,
    STATE(811), 1,
      sym__at,
  [19392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1143), 1,
      anon_sym_LBRACE,
    ACTIONS(1145), 1,
      anon_sym_COLON,
    STATE(800), 1,
      sym__at,
  [19408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1147), 1,
      anon_sym_SEMI,
    STATE(804), 1,
      sym__at,
  [19421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1149), 1,
      anon_sym_LBRACE,
    STATE(769), 1,
      sym__at,
  [19434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_o,
    ACTIONS(1151), 2,
      anon_sym_ORIGIN,
      anon_sym_org,
  [19445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 1,
      anon_sym_RPAREN,
    ACTIONS(201), 1,
      anon_sym_COMMA,
    STATE(749), 1,
      aux_sym_argument_list_repeat1,
  [19458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1155), 1,
      anon_sym_LBRACE,
    STATE(770), 1,
      sym__at,
  [19471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(702), 3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [19480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1086), 1,
      aux_sym_attributes_token1,
    STATE(708), 1,
      aux_sym_attributes_repeat1,
    STATE(774), 1,
      sym_attributes,
  [19493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_o,
    ACTIONS(1157), 2,
      anon_sym_ORIGIN,
      anon_sym_org,
  [19504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_COMMA,
    ACTIONS(1161), 1,
      anon_sym_RPAREN,
    STATE(752), 1,
      aux_sym_assert_command_repeat1,
  [19517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      anon_sym_l,
    ACTIONS(1163), 2,
      anon_sym_LENGTH,
      anon_sym_len,
  [19528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      anon_sym_o,
    ACTIONS(1167), 2,
      anon_sym_ORIGIN,
      anon_sym_org,
  [19539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1143), 1,
      anon_sym_LBRACE,
    STATE(794), 1,
      sym__at,
  [19552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_l,
    ACTIONS(1171), 2,
      anon_sym_LENGTH,
      anon_sym_len,
  [19563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1175), 1,
      anon_sym_LBRACE,
    STATE(768), 1,
      sym__at,
  [19576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AT,
  [19585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1092), 1,
      anon_sym_SEMI,
    STATE(791), 1,
      sym__at,
  [19598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1179), 1,
      anon_sym_LBRACE,
    STATE(776), 1,
      sym__at,
  [19611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(720), 3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [19620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_l,
    ACTIONS(1181), 2,
      anon_sym_LENGTH,
      anon_sym_len,
  [19631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_COMMA,
    ACTIONS(205), 1,
      anon_sym_RPAREN,
    STATE(742), 1,
      aux_sym_argument_list_repeat1,
  [19644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1135), 1,
      anon_sym_LBRACE,
    STATE(781), 1,
      sym__at,
  [19657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_COMMA,
    ACTIONS(1185), 1,
      anon_sym_RPAREN,
    STATE(745), 1,
      aux_sym_argument_list_repeat1,
  [19670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1125), 1,
      anon_sym_LBRACE,
    STATE(825), 1,
      sym__at,
  [19683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    STATE(805), 1,
      sym__at,
  [19696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 1,
      anon_sym_COMMA,
    STATE(745), 1,
      aux_sym_argument_list_repeat1,
  [19709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_COMMA,
    ACTIONS(203), 1,
      anon_sym_RPAREN,
    STATE(748), 1,
      aux_sym_argument_list_repeat1,
  [19722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1131), 1,
      anon_sym_LBRACE,
    STATE(777), 1,
      sym__at,
  [19735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_COMMA,
    ACTIONS(1192), 1,
      anon_sym_RPAREN,
    STATE(745), 1,
      aux_sym_argument_list_repeat1,
  [19748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_COMMA,
    ACTIONS(1194), 1,
      anon_sym_RPAREN,
    STATE(745), 1,
      aux_sym_argument_list_repeat1,
  [19761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(221), 1,
      anon_sym_LPAREN,
    ACTIONS(223), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [19772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_AT,
    ACTIONS(1196), 1,
      anon_sym_LBRACE,
    STATE(773), 1,
      sym__at,
  [19785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_RPAREN,
    ACTIONS(1198), 1,
      anon_sym_COMMA,
    STATE(752), 1,
      aux_sym_assert_command_repeat1,
  [19798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [19806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 2,
      anon_sym_RBRACE,
      sym_symbol,
  [19814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 2,
      anon_sym_RBRACE,
      sym_symbol,
  [19822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 2,
      anon_sym_RBRACE,
      sym_symbol,
  [19830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(742), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [19838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      anon_sym_RBRACE,
      sym_symbol,
  [19846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 2,
      anon_sym_RBRACE,
      sym_symbol,
  [19854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 2,
      anon_sym_RBRACE,
      sym_symbol,
  [19862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 2,
      anon_sym_RBRACE,
      sym_symbol,
  [19870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      anon_sym_RBRACE,
      sym_symbol,
  [19878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [19886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 2,
      anon_sym_RBRACE,
      sym_symbol,
  [19894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_LBRACE,
  [19901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      anon_sym_EQ,
  [19908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_EQ,
  [19915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_LBRACE,
  [19922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_LBRACE,
  [19929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LBRACE,
  [19936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 1,
      anon_sym_LBRACE,
  [19943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      anon_sym_EQ,
  [19950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
  [19957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 1,
      anon_sym_RPAREN,
  [19964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_SEMI,
  [19971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_LBRACE,
  [19978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_LBRACE,
  [19985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      anon_sym_SEMI,
  [19992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_LBRACE,
  [19999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym_symbol,
  [20006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 1,
      anon_sym_LBRACE,
  [20013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_LBRACE,
  [20020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_RPAREN,
  [20027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      sym_symbol,
  [20034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_EQ,
  [20041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_STAR,
  [20048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      anon_sym_LPAREN,
  [20055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 1,
      anon_sym_LPAREN,
  [20062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 1,
      anon_sym_LBRACE,
  [20069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
  [20076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      anon_sym_SEMI,
  [20083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_LPAREN,
  [20090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym_symbol,
  [20097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 1,
      anon_sym_LBRACE,
  [20104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LBRACE,
  [20111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 1,
      anon_sym_RPAREN,
  [20118] = 2,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(1283), 1,
      aux_sym_quoted_symbol_token1,
  [20125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 1,
      sym_symbol,
  [20132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_EQ,
  [20139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 1,
      anon_sym_LBRACE,
  [20146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_EQ,
  [20153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_RBRACK,
  [20160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_LBRACE,
  [20167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_SEMI,
  [20174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 1,
      anon_sym_LBRACE,
  [20181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_COLON,
  [20188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
  [20195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_STAR,
  [20202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 1,
      anon_sym_RPAREN,
  [20209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_LBRACE,
  [20216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 1,
      anon_sym_LBRACE,
  [20223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      anon_sym_DQUOTE,
  [20230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 1,
      anon_sym_LBRACE,
  [20237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 1,
      sym_symbol,
  [20244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      anon_sym_LPAREN,
  [20251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
  [20258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 1,
      anon_sym_EQ,
  [20265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 1,
      anon_sym_GT,
  [20272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 1,
      anon_sym_STAR,
  [20279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      ts_builtin_sym_end,
  [20286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 1,
      anon_sym_SEMI,
  [20293] = 2,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(1333), 1,
      aux_sym_quoted_symbol_token1,
  [20300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      anon_sym_RBRACK,
  [20307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      sym_symbol,
  [20314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      anon_sym_LBRACE,
  [20321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 1,
      anon_sym_COLON,
  [20328] = 2,
    ACTIONS(45), 1,
      sym_comment,
    ACTIONS(1343), 1,
      aux_sym_quoted_symbol_token1,
  [20335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_RBRACK,
  [20342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      sym_symbol,
  [20349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      sym_symbol,
  [20356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 1,
      anon_sym_LBRACE,
  [20363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 1,
      sym_symbol,
  [20370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 1,
      anon_sym_DQUOTE,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 63,
  [SMALL_STATE(4)] = 124,
  [SMALL_STATE(5)] = 187,
  [SMALL_STATE(6)] = 228,
  [SMALL_STATE(7)] = 273,
  [SMALL_STATE(8)] = 326,
  [SMALL_STATE(9)] = 381,
  [SMALL_STATE(10)] = 440,
  [SMALL_STATE(11)] = 487,
  [SMALL_STATE(12)] = 528,
  [SMALL_STATE(13)] = 571,
  [SMALL_STATE(14)] = 628,
  [SMALL_STATE(15)] = 679,
  [SMALL_STATE(16)] = 742,
  [SMALL_STATE(17)] = 790,
  [SMALL_STATE(18)] = 830,
  [SMALL_STATE(19)] = 874,
  [SMALL_STATE(20)] = 934,
  [SMALL_STATE(21)] = 992,
  [SMALL_STATE(22)] = 1048,
  [SMALL_STATE(23)] = 1088,
  [SMALL_STATE(24)] = 1140,
  [SMALL_STATE(25)] = 1186,
  [SMALL_STATE(26)] = 1240,
  [SMALL_STATE(27)] = 1304,
  [SMALL_STATE(28)] = 1368,
  [SMALL_STATE(29)] = 1404,
  [SMALL_STATE(30)] = 1440,
  [SMALL_STATE(31)] = 1476,
  [SMALL_STATE(32)] = 1512,
  [SMALL_STATE(33)] = 1548,
  [SMALL_STATE(34)] = 1584,
  [SMALL_STATE(35)] = 1620,
  [SMALL_STATE(36)] = 1655,
  [SMALL_STATE(37)] = 1690,
  [SMALL_STATE(38)] = 1725,
  [SMALL_STATE(39)] = 1760,
  [SMALL_STATE(40)] = 1795,
  [SMALL_STATE(41)] = 1830,
  [SMALL_STATE(42)] = 1865,
  [SMALL_STATE(43)] = 1921,
  [SMALL_STATE(44)] = 1959,
  [SMALL_STATE(45)] = 2021,
  [SMALL_STATE(46)] = 2079,
  [SMALL_STATE(47)] = 2141,
  [SMALL_STATE(48)] = 2185,
  [SMALL_STATE(49)] = 2231,
  [SMALL_STATE(50)] = 2269,
  [SMALL_STATE(51)] = 2311,
  [SMALL_STATE(52)] = 2369,
  [SMALL_STATE(53)] = 2421,
  [SMALL_STATE(54)] = 2475,
  [SMALL_STATE(55)] = 2525,
  [SMALL_STATE(56)] = 2587,
  [SMALL_STATE(57)] = 2654,
  [SMALL_STATE(58)] = 2687,
  [SMALL_STATE(59)] = 2754,
  [SMALL_STATE(60)] = 2787,
  [SMALL_STATE(61)] = 2820,
  [SMALL_STATE(62)] = 2853,
  [SMALL_STATE(63)] = 2886,
  [SMALL_STATE(64)] = 2919,
  [SMALL_STATE(65)] = 2952,
  [SMALL_STATE(66)] = 3013,
  [SMALL_STATE(67)] = 3074,
  [SMALL_STATE(68)] = 3135,
  [SMALL_STATE(69)] = 3196,
  [SMALL_STATE(70)] = 3252,
  [SMALL_STATE(71)] = 3308,
  [SMALL_STATE(72)] = 3364,
  [SMALL_STATE(73)] = 3420,
  [SMALL_STATE(74)] = 3476,
  [SMALL_STATE(75)] = 3531,
  [SMALL_STATE(76)] = 3586,
  [SMALL_STATE(77)] = 3619,
  [SMALL_STATE(78)] = 3674,
  [SMALL_STATE(79)] = 3729,
  [SMALL_STATE(80)] = 3778,
  [SMALL_STATE(81)] = 3833,
  [SMALL_STATE(82)] = 3884,
  [SMALL_STATE(83)] = 3939,
  [SMALL_STATE(84)] = 3994,
  [SMALL_STATE(85)] = 4043,
  [SMALL_STATE(86)] = 4098,
  [SMALL_STATE(87)] = 4153,
  [SMALL_STATE(88)] = 4208,
  [SMALL_STATE(89)] = 4259,
  [SMALL_STATE(90)] = 4310,
  [SMALL_STATE(91)] = 4365,
  [SMALL_STATE(92)] = 4420,
  [SMALL_STATE(93)] = 4469,
  [SMALL_STATE(94)] = 4524,
  [SMALL_STATE(95)] = 4579,
  [SMALL_STATE(96)] = 4634,
  [SMALL_STATE(97)] = 4666,
  [SMALL_STATE(98)] = 4706,
  [SMALL_STATE(99)] = 4754,
  [SMALL_STATE(100)] = 4800,
  [SMALL_STATE(101)] = 4848,
  [SMALL_STATE(102)] = 4894,
  [SMALL_STATE(103)] = 4930,
  [SMALL_STATE(104)] = 4966,
  [SMALL_STATE(105)] = 5002,
  [SMALL_STATE(106)] = 5038,
  [SMALL_STATE(107)] = 5071,
  [SMALL_STATE(108)] = 5104,
  [SMALL_STATE(109)] = 5137,
  [SMALL_STATE(110)] = 5170,
  [SMALL_STATE(111)] = 5211,
  [SMALL_STATE(112)] = 5252,
  [SMALL_STATE(113)] = 5293,
  [SMALL_STATE(114)] = 5334,
  [SMALL_STATE(115)] = 5367,
  [SMALL_STATE(116)] = 5408,
  [SMALL_STATE(117)] = 5449,
  [SMALL_STATE(118)] = 5490,
  [SMALL_STATE(119)] = 5523,
  [SMALL_STATE(120)] = 5556,
  [SMALL_STATE(121)] = 5589,
  [SMALL_STATE(122)] = 5630,
  [SMALL_STATE(123)] = 5671,
  [SMALL_STATE(124)] = 5712,
  [SMALL_STATE(125)] = 5753,
  [SMALL_STATE(126)] = 5794,
  [SMALL_STATE(127)] = 5835,
  [SMALL_STATE(128)] = 5876,
  [SMALL_STATE(129)] = 5917,
  [SMALL_STATE(130)] = 5958,
  [SMALL_STATE(131)] = 5999,
  [SMALL_STATE(132)] = 6032,
  [SMALL_STATE(133)] = 6065,
  [SMALL_STATE(134)] = 6098,
  [SMALL_STATE(135)] = 6139,
  [SMALL_STATE(136)] = 6180,
  [SMALL_STATE(137)] = 6221,
  [SMALL_STATE(138)] = 6262,
  [SMALL_STATE(139)] = 6303,
  [SMALL_STATE(140)] = 6344,
  [SMALL_STATE(141)] = 6385,
  [SMALL_STATE(142)] = 6426,
  [SMALL_STATE(143)] = 6467,
  [SMALL_STATE(144)] = 6508,
  [SMALL_STATE(145)] = 6541,
  [SMALL_STATE(146)] = 6574,
  [SMALL_STATE(147)] = 6607,
  [SMALL_STATE(148)] = 6640,
  [SMALL_STATE(149)] = 6673,
  [SMALL_STATE(150)] = 6706,
  [SMALL_STATE(151)] = 6739,
  [SMALL_STATE(152)] = 6772,
  [SMALL_STATE(153)] = 6805,
  [SMALL_STATE(154)] = 6838,
  [SMALL_STATE(155)] = 6871,
  [SMALL_STATE(156)] = 6904,
  [SMALL_STATE(157)] = 6937,
  [SMALL_STATE(158)] = 6970,
  [SMALL_STATE(159)] = 7003,
  [SMALL_STATE(160)] = 7036,
  [SMALL_STATE(161)] = 7069,
  [SMALL_STATE(162)] = 7102,
  [SMALL_STATE(163)] = 7135,
  [SMALL_STATE(164)] = 7168,
  [SMALL_STATE(165)] = 7201,
  [SMALL_STATE(166)] = 7234,
  [SMALL_STATE(167)] = 7267,
  [SMALL_STATE(168)] = 7300,
  [SMALL_STATE(169)] = 7333,
  [SMALL_STATE(170)] = 7366,
  [SMALL_STATE(171)] = 7399,
  [SMALL_STATE(172)] = 7432,
  [SMALL_STATE(173)] = 7465,
  [SMALL_STATE(174)] = 7498,
  [SMALL_STATE(175)] = 7531,
  [SMALL_STATE(176)] = 7564,
  [SMALL_STATE(177)] = 7597,
  [SMALL_STATE(178)] = 7630,
  [SMALL_STATE(179)] = 7663,
  [SMALL_STATE(180)] = 7696,
  [SMALL_STATE(181)] = 7729,
  [SMALL_STATE(182)] = 7770,
  [SMALL_STATE(183)] = 7803,
  [SMALL_STATE(184)] = 7844,
  [SMALL_STATE(185)] = 7877,
  [SMALL_STATE(186)] = 7910,
  [SMALL_STATE(187)] = 7943,
  [SMALL_STATE(188)] = 7976,
  [SMALL_STATE(189)] = 8014,
  [SMALL_STATE(190)] = 8052,
  [SMALL_STATE(191)] = 8090,
  [SMALL_STATE(192)] = 8128,
  [SMALL_STATE(193)] = 8166,
  [SMALL_STATE(194)] = 8204,
  [SMALL_STATE(195)] = 8242,
  [SMALL_STATE(196)] = 8280,
  [SMALL_STATE(197)] = 8318,
  [SMALL_STATE(198)] = 8356,
  [SMALL_STATE(199)] = 8394,
  [SMALL_STATE(200)] = 8432,
  [SMALL_STATE(201)] = 8470,
  [SMALL_STATE(202)] = 8508,
  [SMALL_STATE(203)] = 8546,
  [SMALL_STATE(204)] = 8584,
  [SMALL_STATE(205)] = 8622,
  [SMALL_STATE(206)] = 8660,
  [SMALL_STATE(207)] = 8698,
  [SMALL_STATE(208)] = 8736,
  [SMALL_STATE(209)] = 8774,
  [SMALL_STATE(210)] = 8812,
  [SMALL_STATE(211)] = 8850,
  [SMALL_STATE(212)] = 8888,
  [SMALL_STATE(213)] = 8926,
  [SMALL_STATE(214)] = 8964,
  [SMALL_STATE(215)] = 9002,
  [SMALL_STATE(216)] = 9040,
  [SMALL_STATE(217)] = 9078,
  [SMALL_STATE(218)] = 9116,
  [SMALL_STATE(219)] = 9154,
  [SMALL_STATE(220)] = 9192,
  [SMALL_STATE(221)] = 9230,
  [SMALL_STATE(222)] = 9268,
  [SMALL_STATE(223)] = 9306,
  [SMALL_STATE(224)] = 9344,
  [SMALL_STATE(225)] = 9382,
  [SMALL_STATE(226)] = 9420,
  [SMALL_STATE(227)] = 9458,
  [SMALL_STATE(228)] = 9496,
  [SMALL_STATE(229)] = 9534,
  [SMALL_STATE(230)] = 9572,
  [SMALL_STATE(231)] = 9610,
  [SMALL_STATE(232)] = 9648,
  [SMALL_STATE(233)] = 9686,
  [SMALL_STATE(234)] = 9724,
  [SMALL_STATE(235)] = 9762,
  [SMALL_STATE(236)] = 9800,
  [SMALL_STATE(237)] = 9838,
  [SMALL_STATE(238)] = 9876,
  [SMALL_STATE(239)] = 9914,
  [SMALL_STATE(240)] = 9952,
  [SMALL_STATE(241)] = 9990,
  [SMALL_STATE(242)] = 10028,
  [SMALL_STATE(243)] = 10066,
  [SMALL_STATE(244)] = 10104,
  [SMALL_STATE(245)] = 10136,
  [SMALL_STATE(246)] = 10166,
  [SMALL_STATE(247)] = 10198,
  [SMALL_STATE(248)] = 10230,
  [SMALL_STATE(249)] = 10260,
  [SMALL_STATE(250)] = 10292,
  [SMALL_STATE(251)] = 10322,
  [SMALL_STATE(252)] = 10352,
  [SMALL_STATE(253)] = 10382,
  [SMALL_STATE(254)] = 10414,
  [SMALL_STATE(255)] = 10444,
  [SMALL_STATE(256)] = 10476,
  [SMALL_STATE(257)] = 10506,
  [SMALL_STATE(258)] = 10538,
  [SMALL_STATE(259)] = 10570,
  [SMALL_STATE(260)] = 10602,
  [SMALL_STATE(261)] = 10622,
  [SMALL_STATE(262)] = 10654,
  [SMALL_STATE(263)] = 10686,
  [SMALL_STATE(264)] = 10718,
  [SMALL_STATE(265)] = 10750,
  [SMALL_STATE(266)] = 10782,
  [SMALL_STATE(267)] = 10814,
  [SMALL_STATE(268)] = 10846,
  [SMALL_STATE(269)] = 10878,
  [SMALL_STATE(270)] = 10910,
  [SMALL_STATE(271)] = 10940,
  [SMALL_STATE(272)] = 10972,
  [SMALL_STATE(273)] = 11004,
  [SMALL_STATE(274)] = 11036,
  [SMALL_STATE(275)] = 11068,
  [SMALL_STATE(276)] = 11100,
  [SMALL_STATE(277)] = 11128,
  [SMALL_STATE(278)] = 11160,
  [SMALL_STATE(279)] = 11188,
  [SMALL_STATE(280)] = 11220,
  [SMALL_STATE(281)] = 11252,
  [SMALL_STATE(282)] = 11284,
  [SMALL_STATE(283)] = 11316,
  [SMALL_STATE(284)] = 11348,
  [SMALL_STATE(285)] = 11380,
  [SMALL_STATE(286)] = 11412,
  [SMALL_STATE(287)] = 11444,
  [SMALL_STATE(288)] = 11476,
  [SMALL_STATE(289)] = 11508,
  [SMALL_STATE(290)] = 11540,
  [SMALL_STATE(291)] = 11570,
  [SMALL_STATE(292)] = 11600,
  [SMALL_STATE(293)] = 11630,
  [SMALL_STATE(294)] = 11662,
  [SMALL_STATE(295)] = 11692,
  [SMALL_STATE(296)] = 11724,
  [SMALL_STATE(297)] = 11754,
  [SMALL_STATE(298)] = 11784,
  [SMALL_STATE(299)] = 11814,
  [SMALL_STATE(300)] = 11844,
  [SMALL_STATE(301)] = 11872,
  [SMALL_STATE(302)] = 11904,
  [SMALL_STATE(303)] = 11934,
  [SMALL_STATE(304)] = 11966,
  [SMALL_STATE(305)] = 11996,
  [SMALL_STATE(306)] = 12016,
  [SMALL_STATE(307)] = 12048,
  [SMALL_STATE(308)] = 12076,
  [SMALL_STATE(309)] = 12096,
  [SMALL_STATE(310)] = 12128,
  [SMALL_STATE(311)] = 12158,
  [SMALL_STATE(312)] = 12190,
  [SMALL_STATE(313)] = 12211,
  [SMALL_STATE(314)] = 12230,
  [SMALL_STATE(315)] = 12249,
  [SMALL_STATE(316)] = 12275,
  [SMALL_STATE(317)] = 12301,
  [SMALL_STATE(318)] = 12327,
  [SMALL_STATE(319)] = 12345,
  [SMALL_STATE(320)] = 12371,
  [SMALL_STATE(321)] = 12397,
  [SMALL_STATE(322)] = 12423,
  [SMALL_STATE(323)] = 12449,
  [SMALL_STATE(324)] = 12475,
  [SMALL_STATE(325)] = 12501,
  [SMALL_STATE(326)] = 12527,
  [SMALL_STATE(327)] = 12553,
  [SMALL_STATE(328)] = 12579,
  [SMALL_STATE(329)] = 12605,
  [SMALL_STATE(330)] = 12631,
  [SMALL_STATE(331)] = 12657,
  [SMALL_STATE(332)] = 12683,
  [SMALL_STATE(333)] = 12709,
  [SMALL_STATE(334)] = 12735,
  [SMALL_STATE(335)] = 12761,
  [SMALL_STATE(336)] = 12787,
  [SMALL_STATE(337)] = 12813,
  [SMALL_STATE(338)] = 12839,
  [SMALL_STATE(339)] = 12857,
  [SMALL_STATE(340)] = 12883,
  [SMALL_STATE(341)] = 12909,
  [SMALL_STATE(342)] = 12935,
  [SMALL_STATE(343)] = 12961,
  [SMALL_STATE(344)] = 12987,
  [SMALL_STATE(345)] = 13013,
  [SMALL_STATE(346)] = 13039,
  [SMALL_STATE(347)] = 13065,
  [SMALL_STATE(348)] = 13091,
  [SMALL_STATE(349)] = 13117,
  [SMALL_STATE(350)] = 13143,
  [SMALL_STATE(351)] = 13169,
  [SMALL_STATE(352)] = 13195,
  [SMALL_STATE(353)] = 13221,
  [SMALL_STATE(354)] = 13247,
  [SMALL_STATE(355)] = 13273,
  [SMALL_STATE(356)] = 13299,
  [SMALL_STATE(357)] = 13325,
  [SMALL_STATE(358)] = 13351,
  [SMALL_STATE(359)] = 13377,
  [SMALL_STATE(360)] = 13403,
  [SMALL_STATE(361)] = 13429,
  [SMALL_STATE(362)] = 13455,
  [SMALL_STATE(363)] = 13481,
  [SMALL_STATE(364)] = 13507,
  [SMALL_STATE(365)] = 13533,
  [SMALL_STATE(366)] = 13559,
  [SMALL_STATE(367)] = 13577,
  [SMALL_STATE(368)] = 13603,
  [SMALL_STATE(369)] = 13629,
  [SMALL_STATE(370)] = 13647,
  [SMALL_STATE(371)] = 13673,
  [SMALL_STATE(372)] = 13699,
  [SMALL_STATE(373)] = 13725,
  [SMALL_STATE(374)] = 13751,
  [SMALL_STATE(375)] = 13769,
  [SMALL_STATE(376)] = 13795,
  [SMALL_STATE(377)] = 13815,
  [SMALL_STATE(378)] = 13841,
  [SMALL_STATE(379)] = 13867,
  [SMALL_STATE(380)] = 13893,
  [SMALL_STATE(381)] = 13919,
  [SMALL_STATE(382)] = 13945,
  [SMALL_STATE(383)] = 13971,
  [SMALL_STATE(384)] = 13986,
  [SMALL_STATE(385)] = 14003,
  [SMALL_STATE(386)] = 14018,
  [SMALL_STATE(387)] = 14035,
  [SMALL_STATE(388)] = 14050,
  [SMALL_STATE(389)] = 14070,
  [SMALL_STATE(390)] = 14090,
  [SMALL_STATE(391)] = 14110,
  [SMALL_STATE(392)] = 14130,
  [SMALL_STATE(393)] = 14150,
  [SMALL_STATE(394)] = 14170,
  [SMALL_STATE(395)] = 14190,
  [SMALL_STATE(396)] = 14210,
  [SMALL_STATE(397)] = 14230,
  [SMALL_STATE(398)] = 14250,
  [SMALL_STATE(399)] = 14270,
  [SMALL_STATE(400)] = 14290,
  [SMALL_STATE(401)] = 14310,
  [SMALL_STATE(402)] = 14330,
  [SMALL_STATE(403)] = 14350,
  [SMALL_STATE(404)] = 14370,
  [SMALL_STATE(405)] = 14390,
  [SMALL_STATE(406)] = 14410,
  [SMALL_STATE(407)] = 14430,
  [SMALL_STATE(408)] = 14450,
  [SMALL_STATE(409)] = 14470,
  [SMALL_STATE(410)] = 14490,
  [SMALL_STATE(411)] = 14510,
  [SMALL_STATE(412)] = 14530,
  [SMALL_STATE(413)] = 14550,
  [SMALL_STATE(414)] = 14570,
  [SMALL_STATE(415)] = 14590,
  [SMALL_STATE(416)] = 14610,
  [SMALL_STATE(417)] = 14630,
  [SMALL_STATE(418)] = 14650,
  [SMALL_STATE(419)] = 14670,
  [SMALL_STATE(420)] = 14690,
  [SMALL_STATE(421)] = 14710,
  [SMALL_STATE(422)] = 14730,
  [SMALL_STATE(423)] = 14750,
  [SMALL_STATE(424)] = 14770,
  [SMALL_STATE(425)] = 14790,
  [SMALL_STATE(426)] = 14810,
  [SMALL_STATE(427)] = 14830,
  [SMALL_STATE(428)] = 14850,
  [SMALL_STATE(429)] = 14870,
  [SMALL_STATE(430)] = 14890,
  [SMALL_STATE(431)] = 14910,
  [SMALL_STATE(432)] = 14930,
  [SMALL_STATE(433)] = 14950,
  [SMALL_STATE(434)] = 14970,
  [SMALL_STATE(435)] = 14990,
  [SMALL_STATE(436)] = 15010,
  [SMALL_STATE(437)] = 15030,
  [SMALL_STATE(438)] = 15050,
  [SMALL_STATE(439)] = 15070,
  [SMALL_STATE(440)] = 15090,
  [SMALL_STATE(441)] = 15110,
  [SMALL_STATE(442)] = 15130,
  [SMALL_STATE(443)] = 15150,
  [SMALL_STATE(444)] = 15170,
  [SMALL_STATE(445)] = 15190,
  [SMALL_STATE(446)] = 15210,
  [SMALL_STATE(447)] = 15230,
  [SMALL_STATE(448)] = 15250,
  [SMALL_STATE(449)] = 15266,
  [SMALL_STATE(450)] = 15286,
  [SMALL_STATE(451)] = 15306,
  [SMALL_STATE(452)] = 15326,
  [SMALL_STATE(453)] = 15346,
  [SMALL_STATE(454)] = 15366,
  [SMALL_STATE(455)] = 15386,
  [SMALL_STATE(456)] = 15406,
  [SMALL_STATE(457)] = 15426,
  [SMALL_STATE(458)] = 15446,
  [SMALL_STATE(459)] = 15466,
  [SMALL_STATE(460)] = 15486,
  [SMALL_STATE(461)] = 15506,
  [SMALL_STATE(462)] = 15526,
  [SMALL_STATE(463)] = 15546,
  [SMALL_STATE(464)] = 15566,
  [SMALL_STATE(465)] = 15586,
  [SMALL_STATE(466)] = 15606,
  [SMALL_STATE(467)] = 15626,
  [SMALL_STATE(468)] = 15646,
  [SMALL_STATE(469)] = 15666,
  [SMALL_STATE(470)] = 15686,
  [SMALL_STATE(471)] = 15706,
  [SMALL_STATE(472)] = 15726,
  [SMALL_STATE(473)] = 15746,
  [SMALL_STATE(474)] = 15766,
  [SMALL_STATE(475)] = 15786,
  [SMALL_STATE(476)] = 15806,
  [SMALL_STATE(477)] = 15826,
  [SMALL_STATE(478)] = 15846,
  [SMALL_STATE(479)] = 15866,
  [SMALL_STATE(480)] = 15886,
  [SMALL_STATE(481)] = 15906,
  [SMALL_STATE(482)] = 15926,
  [SMALL_STATE(483)] = 15946,
  [SMALL_STATE(484)] = 15966,
  [SMALL_STATE(485)] = 15986,
  [SMALL_STATE(486)] = 16006,
  [SMALL_STATE(487)] = 16026,
  [SMALL_STATE(488)] = 16046,
  [SMALL_STATE(489)] = 16066,
  [SMALL_STATE(490)] = 16086,
  [SMALL_STATE(491)] = 16106,
  [SMALL_STATE(492)] = 16126,
  [SMALL_STATE(493)] = 16146,
  [SMALL_STATE(494)] = 16166,
  [SMALL_STATE(495)] = 16186,
  [SMALL_STATE(496)] = 16206,
  [SMALL_STATE(497)] = 16226,
  [SMALL_STATE(498)] = 16249,
  [SMALL_STATE(499)] = 16264,
  [SMALL_STATE(500)] = 16278,
  [SMALL_STATE(501)] = 16292,
  [SMALL_STATE(502)] = 16306,
  [SMALL_STATE(503)] = 16320,
  [SMALL_STATE(504)] = 16334,
  [SMALL_STATE(505)] = 16348,
  [SMALL_STATE(506)] = 16362,
  [SMALL_STATE(507)] = 16376,
  [SMALL_STATE(508)] = 16390,
  [SMALL_STATE(509)] = 16404,
  [SMALL_STATE(510)] = 16418,
  [SMALL_STATE(511)] = 16432,
  [SMALL_STATE(512)] = 16446,
  [SMALL_STATE(513)] = 16460,
  [SMALL_STATE(514)] = 16474,
  [SMALL_STATE(515)] = 16488,
  [SMALL_STATE(516)] = 16502,
  [SMALL_STATE(517)] = 16516,
  [SMALL_STATE(518)] = 16530,
  [SMALL_STATE(519)] = 16544,
  [SMALL_STATE(520)] = 16558,
  [SMALL_STATE(521)] = 16572,
  [SMALL_STATE(522)] = 16586,
  [SMALL_STATE(523)] = 16600,
  [SMALL_STATE(524)] = 16614,
  [SMALL_STATE(525)] = 16628,
  [SMALL_STATE(526)] = 16642,
  [SMALL_STATE(527)] = 16656,
  [SMALL_STATE(528)] = 16670,
  [SMALL_STATE(529)] = 16684,
  [SMALL_STATE(530)] = 16698,
  [SMALL_STATE(531)] = 16712,
  [SMALL_STATE(532)] = 16726,
  [SMALL_STATE(533)] = 16740,
  [SMALL_STATE(534)] = 16754,
  [SMALL_STATE(535)] = 16768,
  [SMALL_STATE(536)] = 16782,
  [SMALL_STATE(537)] = 16796,
  [SMALL_STATE(538)] = 16810,
  [SMALL_STATE(539)] = 16824,
  [SMALL_STATE(540)] = 16838,
  [SMALL_STATE(541)] = 16852,
  [SMALL_STATE(542)] = 16866,
  [SMALL_STATE(543)] = 16880,
  [SMALL_STATE(544)] = 16894,
  [SMALL_STATE(545)] = 16908,
  [SMALL_STATE(546)] = 16922,
  [SMALL_STATE(547)] = 16936,
  [SMALL_STATE(548)] = 16950,
  [SMALL_STATE(549)] = 16964,
  [SMALL_STATE(550)] = 16978,
  [SMALL_STATE(551)] = 16992,
  [SMALL_STATE(552)] = 17006,
  [SMALL_STATE(553)] = 17020,
  [SMALL_STATE(554)] = 17034,
  [SMALL_STATE(555)] = 17048,
  [SMALL_STATE(556)] = 17062,
  [SMALL_STATE(557)] = 17076,
  [SMALL_STATE(558)] = 17090,
  [SMALL_STATE(559)] = 17104,
  [SMALL_STATE(560)] = 17118,
  [SMALL_STATE(561)] = 17132,
  [SMALL_STATE(562)] = 17146,
  [SMALL_STATE(563)] = 17160,
  [SMALL_STATE(564)] = 17174,
  [SMALL_STATE(565)] = 17188,
  [SMALL_STATE(566)] = 17202,
  [SMALL_STATE(567)] = 17216,
  [SMALL_STATE(568)] = 17230,
  [SMALL_STATE(569)] = 17244,
  [SMALL_STATE(570)] = 17258,
  [SMALL_STATE(571)] = 17272,
  [SMALL_STATE(572)] = 17286,
  [SMALL_STATE(573)] = 17300,
  [SMALL_STATE(574)] = 17314,
  [SMALL_STATE(575)] = 17328,
  [SMALL_STATE(576)] = 17342,
  [SMALL_STATE(577)] = 17356,
  [SMALL_STATE(578)] = 17370,
  [SMALL_STATE(579)] = 17384,
  [SMALL_STATE(580)] = 17398,
  [SMALL_STATE(581)] = 17412,
  [SMALL_STATE(582)] = 17426,
  [SMALL_STATE(583)] = 17440,
  [SMALL_STATE(584)] = 17454,
  [SMALL_STATE(585)] = 17468,
  [SMALL_STATE(586)] = 17482,
  [SMALL_STATE(587)] = 17496,
  [SMALL_STATE(588)] = 17510,
  [SMALL_STATE(589)] = 17524,
  [SMALL_STATE(590)] = 17538,
  [SMALL_STATE(591)] = 17552,
  [SMALL_STATE(592)] = 17566,
  [SMALL_STATE(593)] = 17580,
  [SMALL_STATE(594)] = 17594,
  [SMALL_STATE(595)] = 17608,
  [SMALL_STATE(596)] = 17622,
  [SMALL_STATE(597)] = 17636,
  [SMALL_STATE(598)] = 17650,
  [SMALL_STATE(599)] = 17664,
  [SMALL_STATE(600)] = 17678,
  [SMALL_STATE(601)] = 17692,
  [SMALL_STATE(602)] = 17706,
  [SMALL_STATE(603)] = 17720,
  [SMALL_STATE(604)] = 17734,
  [SMALL_STATE(605)] = 17748,
  [SMALL_STATE(606)] = 17762,
  [SMALL_STATE(607)] = 17776,
  [SMALL_STATE(608)] = 17790,
  [SMALL_STATE(609)] = 17804,
  [SMALL_STATE(610)] = 17818,
  [SMALL_STATE(611)] = 17832,
  [SMALL_STATE(612)] = 17846,
  [SMALL_STATE(613)] = 17860,
  [SMALL_STATE(614)] = 17874,
  [SMALL_STATE(615)] = 17888,
  [SMALL_STATE(616)] = 17902,
  [SMALL_STATE(617)] = 17916,
  [SMALL_STATE(618)] = 17930,
  [SMALL_STATE(619)] = 17944,
  [SMALL_STATE(620)] = 17958,
  [SMALL_STATE(621)] = 17972,
  [SMALL_STATE(622)] = 17986,
  [SMALL_STATE(623)] = 18000,
  [SMALL_STATE(624)] = 18014,
  [SMALL_STATE(625)] = 18028,
  [SMALL_STATE(626)] = 18042,
  [SMALL_STATE(627)] = 18056,
  [SMALL_STATE(628)] = 18070,
  [SMALL_STATE(629)] = 18084,
  [SMALL_STATE(630)] = 18098,
  [SMALL_STATE(631)] = 18112,
  [SMALL_STATE(632)] = 18126,
  [SMALL_STATE(633)] = 18140,
  [SMALL_STATE(634)] = 18154,
  [SMALL_STATE(635)] = 18168,
  [SMALL_STATE(636)] = 18182,
  [SMALL_STATE(637)] = 18196,
  [SMALL_STATE(638)] = 18210,
  [SMALL_STATE(639)] = 18224,
  [SMALL_STATE(640)] = 18238,
  [SMALL_STATE(641)] = 18252,
  [SMALL_STATE(642)] = 18266,
  [SMALL_STATE(643)] = 18280,
  [SMALL_STATE(644)] = 18294,
  [SMALL_STATE(645)] = 18308,
  [SMALL_STATE(646)] = 18322,
  [SMALL_STATE(647)] = 18336,
  [SMALL_STATE(648)] = 18350,
  [SMALL_STATE(649)] = 18364,
  [SMALL_STATE(650)] = 18378,
  [SMALL_STATE(651)] = 18392,
  [SMALL_STATE(652)] = 18406,
  [SMALL_STATE(653)] = 18420,
  [SMALL_STATE(654)] = 18434,
  [SMALL_STATE(655)] = 18448,
  [SMALL_STATE(656)] = 18462,
  [SMALL_STATE(657)] = 18476,
  [SMALL_STATE(658)] = 18490,
  [SMALL_STATE(659)] = 18504,
  [SMALL_STATE(660)] = 18518,
  [SMALL_STATE(661)] = 18532,
  [SMALL_STATE(662)] = 18546,
  [SMALL_STATE(663)] = 18560,
  [SMALL_STATE(664)] = 18574,
  [SMALL_STATE(665)] = 18588,
  [SMALL_STATE(666)] = 18602,
  [SMALL_STATE(667)] = 18616,
  [SMALL_STATE(668)] = 18630,
  [SMALL_STATE(669)] = 18644,
  [SMALL_STATE(670)] = 18658,
  [SMALL_STATE(671)] = 18672,
  [SMALL_STATE(672)] = 18686,
  [SMALL_STATE(673)] = 18700,
  [SMALL_STATE(674)] = 18714,
  [SMALL_STATE(675)] = 18728,
  [SMALL_STATE(676)] = 18742,
  [SMALL_STATE(677)] = 18756,
  [SMALL_STATE(678)] = 18770,
  [SMALL_STATE(679)] = 18784,
  [SMALL_STATE(680)] = 18798,
  [SMALL_STATE(681)] = 18812,
  [SMALL_STATE(682)] = 18826,
  [SMALL_STATE(683)] = 18840,
  [SMALL_STATE(684)] = 18854,
  [SMALL_STATE(685)] = 18868,
  [SMALL_STATE(686)] = 18882,
  [SMALL_STATE(687)] = 18896,
  [SMALL_STATE(688)] = 18910,
  [SMALL_STATE(689)] = 18924,
  [SMALL_STATE(690)] = 18938,
  [SMALL_STATE(691)] = 18952,
  [SMALL_STATE(692)] = 18966,
  [SMALL_STATE(693)] = 18980,
  [SMALL_STATE(694)] = 18994,
  [SMALL_STATE(695)] = 19008,
  [SMALL_STATE(696)] = 19022,
  [SMALL_STATE(697)] = 19036,
  [SMALL_STATE(698)] = 19050,
  [SMALL_STATE(699)] = 19064,
  [SMALL_STATE(700)] = 19078,
  [SMALL_STATE(701)] = 19092,
  [SMALL_STATE(702)] = 19106,
  [SMALL_STATE(703)] = 19120,
  [SMALL_STATE(704)] = 19134,
  [SMALL_STATE(705)] = 19153,
  [SMALL_STATE(706)] = 19172,
  [SMALL_STATE(707)] = 19188,
  [SMALL_STATE(708)] = 19204,
  [SMALL_STATE(709)] = 19218,
  [SMALL_STATE(710)] = 19234,
  [SMALL_STATE(711)] = 19248,
  [SMALL_STATE(712)] = 19264,
  [SMALL_STATE(713)] = 19280,
  [SMALL_STATE(714)] = 19296,
  [SMALL_STATE(715)] = 19312,
  [SMALL_STATE(716)] = 19328,
  [SMALL_STATE(717)] = 19344,
  [SMALL_STATE(718)] = 19360,
  [SMALL_STATE(719)] = 19376,
  [SMALL_STATE(720)] = 19392,
  [SMALL_STATE(721)] = 19408,
  [SMALL_STATE(722)] = 19421,
  [SMALL_STATE(723)] = 19434,
  [SMALL_STATE(724)] = 19445,
  [SMALL_STATE(725)] = 19458,
  [SMALL_STATE(726)] = 19471,
  [SMALL_STATE(727)] = 19480,
  [SMALL_STATE(728)] = 19493,
  [SMALL_STATE(729)] = 19504,
  [SMALL_STATE(730)] = 19517,
  [SMALL_STATE(731)] = 19528,
  [SMALL_STATE(732)] = 19539,
  [SMALL_STATE(733)] = 19552,
  [SMALL_STATE(734)] = 19563,
  [SMALL_STATE(735)] = 19576,
  [SMALL_STATE(736)] = 19585,
  [SMALL_STATE(737)] = 19598,
  [SMALL_STATE(738)] = 19611,
  [SMALL_STATE(739)] = 19620,
  [SMALL_STATE(740)] = 19631,
  [SMALL_STATE(741)] = 19644,
  [SMALL_STATE(742)] = 19657,
  [SMALL_STATE(743)] = 19670,
  [SMALL_STATE(744)] = 19683,
  [SMALL_STATE(745)] = 19696,
  [SMALL_STATE(746)] = 19709,
  [SMALL_STATE(747)] = 19722,
  [SMALL_STATE(748)] = 19735,
  [SMALL_STATE(749)] = 19748,
  [SMALL_STATE(750)] = 19761,
  [SMALL_STATE(751)] = 19772,
  [SMALL_STATE(752)] = 19785,
  [SMALL_STATE(753)] = 19798,
  [SMALL_STATE(754)] = 19806,
  [SMALL_STATE(755)] = 19814,
  [SMALL_STATE(756)] = 19822,
  [SMALL_STATE(757)] = 19830,
  [SMALL_STATE(758)] = 19838,
  [SMALL_STATE(759)] = 19846,
  [SMALL_STATE(760)] = 19854,
  [SMALL_STATE(761)] = 19862,
  [SMALL_STATE(762)] = 19870,
  [SMALL_STATE(763)] = 19878,
  [SMALL_STATE(764)] = 19886,
  [SMALL_STATE(765)] = 19894,
  [SMALL_STATE(766)] = 19901,
  [SMALL_STATE(767)] = 19908,
  [SMALL_STATE(768)] = 19915,
  [SMALL_STATE(769)] = 19922,
  [SMALL_STATE(770)] = 19929,
  [SMALL_STATE(771)] = 19936,
  [SMALL_STATE(772)] = 19943,
  [SMALL_STATE(773)] = 19950,
  [SMALL_STATE(774)] = 19957,
  [SMALL_STATE(775)] = 19964,
  [SMALL_STATE(776)] = 19971,
  [SMALL_STATE(777)] = 19978,
  [SMALL_STATE(778)] = 19985,
  [SMALL_STATE(779)] = 19992,
  [SMALL_STATE(780)] = 19999,
  [SMALL_STATE(781)] = 20006,
  [SMALL_STATE(782)] = 20013,
  [SMALL_STATE(783)] = 20020,
  [SMALL_STATE(784)] = 20027,
  [SMALL_STATE(785)] = 20034,
  [SMALL_STATE(786)] = 20041,
  [SMALL_STATE(787)] = 20048,
  [SMALL_STATE(788)] = 20055,
  [SMALL_STATE(789)] = 20062,
  [SMALL_STATE(790)] = 20069,
  [SMALL_STATE(791)] = 20076,
  [SMALL_STATE(792)] = 20083,
  [SMALL_STATE(793)] = 20090,
  [SMALL_STATE(794)] = 20097,
  [SMALL_STATE(795)] = 20104,
  [SMALL_STATE(796)] = 20111,
  [SMALL_STATE(797)] = 20118,
  [SMALL_STATE(798)] = 20125,
  [SMALL_STATE(799)] = 20132,
  [SMALL_STATE(800)] = 20139,
  [SMALL_STATE(801)] = 20146,
  [SMALL_STATE(802)] = 20153,
  [SMALL_STATE(803)] = 20160,
  [SMALL_STATE(804)] = 20167,
  [SMALL_STATE(805)] = 20174,
  [SMALL_STATE(806)] = 20181,
  [SMALL_STATE(807)] = 20188,
  [SMALL_STATE(808)] = 20195,
  [SMALL_STATE(809)] = 20202,
  [SMALL_STATE(810)] = 20209,
  [SMALL_STATE(811)] = 20216,
  [SMALL_STATE(812)] = 20223,
  [SMALL_STATE(813)] = 20230,
  [SMALL_STATE(814)] = 20237,
  [SMALL_STATE(815)] = 20244,
  [SMALL_STATE(816)] = 20251,
  [SMALL_STATE(817)] = 20258,
  [SMALL_STATE(818)] = 20265,
  [SMALL_STATE(819)] = 20272,
  [SMALL_STATE(820)] = 20279,
  [SMALL_STATE(821)] = 20286,
  [SMALL_STATE(822)] = 20293,
  [SMALL_STATE(823)] = 20300,
  [SMALL_STATE(824)] = 20307,
  [SMALL_STATE(825)] = 20314,
  [SMALL_STATE(826)] = 20321,
  [SMALL_STATE(827)] = 20328,
  [SMALL_STATE(828)] = 20335,
  [SMALL_STATE(829)] = 20342,
  [SMALL_STATE(830)] = 20349,
  [SMALL_STATE(831)] = 20356,
  [SMALL_STATE(832)] = 20363,
  [SMALL_STATE(833)] = 20370,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkerscript, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [17] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 23),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [21] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 23),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [67] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_input_section_repeat1, 1, 0, 15),
  [69] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_input_section_repeat1, 1, 0, 15),
  [71] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [73] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [75] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 10),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 10),
  [79] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 13),
  [81] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 13),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_symbol, 3, 0, 0),
  [115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_symbol, 3, 0, 0),
  [117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 5),
  [127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 5),
  [129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fillexp, 2, 0, 0),
  [159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fillexp, 2, 0, 0),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__memory, 12, 0, 43),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__memory, 9, 0, 41),
  [211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__memory, 10, 0, 42),
  [213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_command_repeat1, 2, 0, 0),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input_section, 1, 0, 0),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_input_section_repeat1, 2, 0, 26), SHIFT_REPEAT(28),
  [254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_input_section_repeat1, 2, 0, 26), SHIFT_REPEAT(185),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_input_section_repeat1, 2, 0, 26),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_input_section_repeat1, 2, 0, 26), SHIFT_REPEAT(832),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_input_section_repeat1, 2, 0, 26), SHIFT_REPEAT(305),
  [265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_input_section_repeat1, 2, 0, 26), SHIFT_REPEAT(148),
  [268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_input_section_repeat1, 2, 0, 26), SHIFT_REPEAT(822),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_input_section_repeat1, 2, 0, 26), SHIFT_REPEAT(260),
  [274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_input_section, 1, 0, 0),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_output_section_repeat1, 2, 0, 0), SHIFT_REPEAT(96),
  [317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_output_section_repeat1, 2, 0, 0),
  [319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_output_section_repeat1, 2, 0, 0), SHIFT_REPEAT(784),
  [322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_output_section_repeat1, 2, 0, 0), SHIFT_REPEAT(314),
  [325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_output_section_repeat1, 2, 0, 0), SHIFT_REPEAT(383),
  [328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_output_section_repeat1, 2, 0, 0), SHIFT_REPEAT(787),
  [331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_output_section_repeat1, 2, 0, 0), SHIFT_REPEAT(788),
  [334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_output_section_repeat1, 2, 0, 0), SHIFT_REPEAT(312),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 5, 0, 0),
  [425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 5, 0, 0),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 5, 0, 17),
  [437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 5, 0, 17),
  [439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 5, 0, 18),
  [441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 5, 0, 18),
  [443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 5, 0, 12),
  [445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 5, 0, 12),
  [447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 5, 0, 21),
  [449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 5, 0, 21),
  [451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 5, 0, 22),
  [453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 5, 0, 22),
  [455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 6, 0, 27),
  [457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 6, 0, 27),
  [459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 6, 0, 0),
  [461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 6, 0, 0),
  [463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 6, 0, 18),
  [465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 6, 0, 18),
  [467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 6, 0, 28),
  [469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 6, 0, 28),
  [471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 6, 0, 31),
  [473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 6, 0, 31),
  [475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 6, 0, 22),
  [477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 6, 0, 22),
  [479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 6, 0, 32),
  [481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 6, 0, 32),
  [483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 34),
  [485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 34),
  [487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 35),
  [489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 35),
  [491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 18),
  [493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 18),
  [495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 37),
  [497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 37),
  [499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 38),
  [501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 38),
  [503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 22),
  [505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 22),
  [507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 4, 0, 0),
  [509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 4, 0, 0),
  [511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 39),
  [513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 39),
  [515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 40),
  [517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 40),
  [519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 4, 0, 12),
  [521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 4, 0, 12),
  [523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 6, 0, 12),
  [525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 6, 0, 12),
  [527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 5, 0, 0),
  [529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 5, 0, 0),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 6, 0, 0),
  [545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 6, 0, 0),
  [547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 6, 0, 29),
  [549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 6, 0, 29),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 6, 0, 19),
  [555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 6, 0, 19),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 6, 0, 30),
  [563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 6, 0, 30),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 6, 0, 21),
  [571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 6, 0, 21),
  [573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 27),
  [575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 27),
  [577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 0),
  [579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 0),
  [581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 28),
  [583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 28),
  [585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 7, 0, 29),
  [587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 7, 0, 29),
  [589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 7, 0, 20),
  [591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 7, 0, 20),
  [593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 7, 0, 36),
  [595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 7, 0, 36),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 7, 0, 30),
  [601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 7, 0, 30),
  [603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 31),
  [605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 31),
  [607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 12),
  [609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 12),
  [611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkerscript, 1, 0, 0),
  [613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 32),
  [615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 32),
  [617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 34),
  [619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 34),
  [621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 35),
  [623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 35),
  [625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 18),
  [627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 18),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 8, 0, 36),
  [631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 8, 0, 36),
  [633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 37),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 37),
  [637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 38),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 38),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 22),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 22),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 39),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 39),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 40),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 40),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sections_command_repeat1, 2, 0, 0), SHIFT_REPEAT(3),
  [658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sections_command_repeat1, 2, 0, 0),
  [660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sections_command_repeat1, 2, 0, 0), SHIFT_REPEAT(100),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sections_command_repeat1, 2, 0, 0), SHIFT_REPEAT(102),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sections_command_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sections_command_repeat1, 2, 0, 0), SHIFT_REPEAT(815),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 4, 0, 0),
  [678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 4, 0, 0),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkerscript, 2, 0, 0),
  [688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 6, 0, 17),
  [690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 6, 0, 17),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 5, 0, 19),
  [696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 5, 0, 19),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wildcard_pattern, 1, 0, 0),
  [702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_pattern, 1, 0, 0),
  [704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_linkerscript_repeat1, 2, 0, 0),
  [706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_linkerscript_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_linkerscript_repeat1, 2, 0, 0), SHIFT_REPEAT(779),
  [712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_linkerscript_repeat1, 2, 0, 0), SHIFT_REPEAT(803),
  [715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_linkerscript_repeat1, 2, 0, 0), SHIFT_REPEAT(771),
  [718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wildcard_pattern, 4, 0, 0),
  [720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_pattern, 4, 0, 0),
  [722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 5, 0, 20),
  [724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 5, 0, 20),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 6, 0, 20),
  [730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 6, 0, 20),
  [732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 28),
  [734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 28),
  [736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 7, 0, 0),
  [738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 7, 0, 0),
  [740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_input_section, 4, 0, 25),
  [742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input_section, 4, 0, 25),
  [744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 8, 0, 29),
  [746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 8, 0, 29),
  [748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 8, 0, 20),
  [750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 8, 0, 20),
  [752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 8, 0, 30),
  [754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 8, 0, 30),
  [756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 31),
  [758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 31),
  [760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 12),
  [762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 12),
  [764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 7, 0, 19),
  [766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 7, 0, 19),
  [768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 32),
  [770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 32),
  [772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_provide_command, 7, 0, 0),
  [774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provide_command, 7, 0, 0),
  [776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 34),
  [778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 34),
  [780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 35),
  [782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 35),
  [784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 18),
  [786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 18),
  [788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 9, 0, 36),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 9, 0, 36),
  [792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 37),
  [794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 37),
  [796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 38),
  [798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 38),
  [800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 22),
  [802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 22),
  [804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 39),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 39),
  [808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 40),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 40),
  [812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 27),
  [814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 27),
  [816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 21),
  [818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 21),
  [820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 4, 0, 0),
  [822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 4, 0, 0),
  [824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keep_command, 3, 0, 0),
  [826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keep_command, 3, 0, 0),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keep_command, 4, 0, 0),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keep_command, 4, 0, 0),
  [832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_output_section_repeat1, 1, 0, 0),
  [834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_output_section_repeat1, 1, 0, 0),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 0),
  [840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 0),
  [842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 7, 0, 17),
  [844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 7, 0, 17),
  [846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_output_section_repeat1, 2, 0, 0),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_region, 2, 0, 0),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_region, 2, 0, 0),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 27),
  [856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 27),
  [858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 0),
  [860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 0),
  [862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 28),
  [864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 28),
  [866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 17),
  [868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 17),
  [870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 9, 0, 29),
  [872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 9, 0, 29),
  [874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 9, 0, 20),
  [876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 9, 0, 20),
  [878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 9, 0, 30),
  [880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 9, 0, 30),
  [882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 31),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 31),
  [886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 12),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 12),
  [890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 32),
  [892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 32),
  [894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 34),
  [896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 34),
  [898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 35),
  [900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 35),
  [902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 18),
  [904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 18),
  [906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lma_region, 3, 0, 0),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lma_region, 3, 0, 0),
  [910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 10, 0, 36),
  [912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 10, 0, 36),
  [914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 37),
  [916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 37),
  [918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 38),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 38),
  [922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 22),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 22),
  [926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 11, 0, 39),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 11, 0, 39),
  [930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 11, 0, 40),
  [932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 11, 0, 40),
  [934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 8, 0, 0),
  [936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 8, 0, 0),
  [938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 8, 0, 19),
  [940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 8, 0, 19),
  [942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 8, 0, 21),
  [944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 8, 0, 21),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phdr, 2, 0, 0),
  [950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phdr, 2, 0, 0),
  [952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phdrs_command, 3, 0, 0),
  [954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phdrs_command, 3, 0, 0),
  [956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_memory_command, 3, 0, 0),
  [958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_memory_command, 3, 0, 0),
  [960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 17),
  [962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 17),
  [964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 9, 0, 0),
  [966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 9, 0, 0),
  [968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 9, 0, 19),
  [970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 9, 0, 19),
  [972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 9, 0, 21),
  [974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 9, 0, 21),
  [976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 27),
  [978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 27),
  [980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 0),
  [982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 0),
  [984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 28),
  [986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 28),
  [988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 10, 0, 29),
  [990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 10, 0, 29),
  [992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 10, 0, 20),
  [994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 10, 0, 20),
  [996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 10, 0, 30),
  [998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 10, 0, 30),
  [1000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 31),
  [1002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 31),
  [1004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 12),
  [1006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 12),
  [1008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 10, 0, 32),
  [1010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 10, 0, 32),
  [1012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sections_command, 4, 0, 0),
  [1014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sections_command, 4, 0, 0),
  [1016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 11, 0, 34),
  [1018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 11, 0, 34),
  [1020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 11, 0, 35),
  [1022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 11, 0, 35),
  [1024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 11, 0, 18),
  [1026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 11, 0, 18),
  [1028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overlay_command, 11, 0, 36),
  [1030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overlay_command, 11, 0, 36),
  [1032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 11, 0, 37),
  [1034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 11, 0, 37),
  [1036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 11, 0, 38),
  [1038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 11, 0, 38),
  [1040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 11, 0, 22),
  [1042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 11, 0, 22),
  [1044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 12, 0, 39),
  [1046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 12, 0, 39),
  [1048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output_section, 12, 0, 40),
  [1050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_section, 12, 0, 40),
  [1052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_command, 4, 0, 0),
  [1054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_command, 4, 0, 0),
  [1056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_command, 5, 0, 0),
  [1058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_command, 5, 0, 0),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_memory_command, 4, 0, 6),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_memory_command, 4, 0, 6),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phdrs_command, 4, 0, 8),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phdrs_command, 4, 0, 8),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sections_command, 3, 0, 0),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sections_command, 3, 0, 0),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entry_command, 4, 0, 3),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_entry_command, 4, 0, 3),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributes, 1, 0, 0),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2, 0, 0),
  [1104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2, 0, 0), SHIFT_REPEAT(710),
  [1107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_memory_command_repeat1, 2, 0, 7), SHIFT_REPEAT(705),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_memory_command_repeat1, 2, 0, 7),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_phdrs_command_repeat1, 2, 0, 9), SHIFT_REPEAT(798),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_phdrs_command_repeat1, 2, 0, 9),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_section_type, 3, 0, 0),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(98),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_command_repeat1, 2, 0, 0), SHIFT_REPEAT(114),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__at, 4, 0, 16),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_memory_command_repeat1, 1, 0, 1),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__phdr, 5, 0, 24),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__phdr, 5, 0, 11),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__phdr, 6, 0, 33),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__phdr, 3, 0, 11),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_phdrs_command_repeat1, 1, 0, 2),
  [1215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__phdr, 4, 0, 14),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__phdr, 4, 0, 11),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1329] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_linkerscript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_symbol,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
